<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 12/18/2008 *
 * ===================                          Last change: 03/05/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-network.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Generic (sponsor) network connection extension   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeine Werbenetzwerk-Erweiterung             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * @TODO AbisZED: Which charset?                                        *
 * @TODO Ad-Magnet: Layer(klick?). Layerviews.Skybannerklick/-view,     *
 * @TODO Ad-Magnet: Banner-View, Textlink-Klick/-View. Page-Peel        *
 * @TODO ADCocktail: All request parameters, BIDausKAS, WIDausKAS???    *
 * @TODO Affiliblatt: All except banner, do they really have UTF-8?     *
 * @TODO AllAds4You: Traffic from abroad                                *
 * @TODO doubleads: Which charset?                                      *
 * @TODO Fusion-Ads: Has click/banner URL in API response, really UTF-8 *
 * @TODO GolloX: Which charset?                                         *
 * @TODO homeADS: Which charset?                                        *
 * @TODO paid4ad: Which URLs for click and banner?                      *
 * @TODO VIPads: Which charset?                                         *
 * @TODO Der Werbepartner.cc: Banner click/view is JavaScript!          *
 * @TODO Der Werbepartner.cc: Forced textlink not correct               *
 * @TODO Der Werbepartner.cc: Layer not correct                         *
 * @TODO Der Werbepartner.cc: Sky banner is JavaScript!                 *
 * @TODO Der Werbepartner.cc: Surfbar click not correct                 *
 * @TODO Der Werbepartner.cc: Textlink not not correct                  *
 * @TODO Yoo!Media: What is LayerAd compared to Layer click?            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0');

// Version history array (add more with , '0.1.0' and so on)
setExtensionVersionHistory(array('0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(false);

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running (modules.php?module=admin is called)
		// Main table which hold
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_data`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_data` (
`network_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_short_name` VARCHAR(50) NOT NULL DEFAULT '',
`network_title` VARCHAR(255) NOT NULL DEFAULT '',
`network_reflink` VARCHAR(255) NOT NULL DEFAULT '',
`network_data_seperator` CHAR(4) NOT NULL DEFAULT '|',
`network_row_seperator` CHAR(4) NOT NULL DEFAULT '|',
`network_request_type` ENUM('GET','POST') NOT NULL DEFAULT 'GET',
`network_charset` VARCHAR(20) NOT NULL DEFAULT 'UTF-8',
UNIQUE (`network_short_name`),
PRIMARY KEY (`network_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Network data'");

		// Types the network provider is supporting (e.g. Forced-Banner and so on)
		// @TODO network_type_handle is an internal name and needs documentation
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_types` (
`network_type_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_handle` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_api_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_click_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_banner_url` VARCHAR(255) NULL DEFAULT NULL,
UNIQUE `provider_type` (`network_id`,`network_type_handle`),
PRIMARY KEY (`network_type_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Types provideable by networks'");

		// HTTP parameters (names) for URLs
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_request_params`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_request_params` (
`network_param_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`request_param_key` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`request_param_value` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`request_param_default` VARCHAR(255) NULL DEFAULT NULL,
UNIQUE `provider_type_key` (`network_id`,`network_type_id`,`request_param_key`),
UNIQUE `provider_type_value` (`network_id`,`network_type_id`,`request_param_value`),
PRIMARY KEY (`network_param_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Request parameters for GET/POST request'");

		// Error status codes
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_error_codes`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_error_codes` (
`network_type_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_code_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_type_code_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
UNIQUE `code_type` (`network_type_code_value`,`network_type_id`),
INDEX (`network_type_id`),
PRIMARY KEY (`network_type_code_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Error codes for all types'");

		// Code types (internal table)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_error_types`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_error_types` (
`network_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_code` VARCHAR(100) NOT NULL DEFAULT 'INVALID_CODE',
UNIQUE (`network_code`),
PRIMARY KEY (`network_code_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Error types, generic data, DO NOT ALTER!'");

		// Valid translation keys (we hate hard-coded arrays, you see?)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_translations`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_translations` (
`network_translate_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_translation` VARCHAR(100) NOT NULL DEFAULT '',
UNIQUE `type_trans` (`network_type_id`,`network_translation`),
PRIMARY KEY (`network_translate_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Translations for array keys, generic data, DO NOT ALTER!'");

		// Array-Element translation tables per type/provider
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_api_translation`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_api_translation` (
`network_api_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_index` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_index_translation` VARCHAR(100) NOT NULL DEFAULT '',
UNIQUE `provider_type_key` (`network_id`,`network_type_id`,`network_api_index`),
UNIQUE `provider_type_trans` (`network_id`,`network_type_id`,`network_index_translation`),
PRIMARY KEY (`network_api_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Translation of API responses, generic data, DO NOT ALTER!'");

		// Data from the webmaster (you!)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_config`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_config` (
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_affiliate_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_password` VARCHAR(255) NOT NULL DEFAULT '',
`network_site_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_query_amount` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
UNIQUE `network_affiliate` (`network_id`,`network_affiliate_id`),
UNIQUE `affiliate_site` (`network_affiliate_id`,`network_site_id`),
PRIMARY KEY (`network_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Configuration data from the webmaster (you!)'");

		// Configuration data for e.g. reload-time
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types_config`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_types_config` (
`network_data_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`max_reload_time` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_waiting_time` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_remain_clicks` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_payment` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`allow_erotic` VARCHAR(10) NOT NULL DEFAULT '',
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_data_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Configuration data for every type (e.g. reload-time)'");

		// Cache for queried APIs. Re-check depends on config
		// `network_cache_refresh` in seconds or if set to zero, full day
		// divided by query amount.
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_cache`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_cache` (
`network_cache_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_cache_data` MEDIUMBLOB,
`network_cache_timestamp` TIMESTAMP NOT NULL DEFAULT '0000-00-00 00:00',
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_cache_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Cache for all queried APIs'");

		// Reload locks for several types
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_reloads`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_reloads` (
`network_reload_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_reload_lock` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP(),
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_reload_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Reload locks'");

		// Insert error code types
		// - Affiliate id or interface password wrong
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('AFF_ID_PASS_WRONG')");
		// - Webmaster's site id is not assigned (invalid, different affiliate id)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('SITE_ID_NOT_ASSIGNED')");
		// - Webmaster's site id is locked
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('SITE_ID_LOCKED')");
		// - General error in interface data
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('INTERFACE_DATA_ERROR')");
		// - Request amount depleted
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('REQUESTS_DEPLETED')");
		// - No campaigns found for given criteria (but maybe there are with more widen criteria)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('NO_CAMPAIGNS_FOUND')");
		// - No campaigns found with allowed interface output (but there are maybe non-interface campaigns)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('NO_CAMPAIGNS_FOUND_INTERFACE')");
		// - Webmaster's site id is not unlocked for choosen type
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('SITE_ID_NOT_ALLOWED_TYPE')");
		// - Request parameters incomplete
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_error_types` (`network_code`) VALUES ('REQUEST_PARAMETER_INCOMPLETE')");

		// Sponsor networks
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_data` (`network_short_name`, `network_title`, `network_reflink`, `network_data_seperator`, `network_row_seperator`, `network_request_type`, `network_charset`) VALUES
('a3h', 'A3H', 'http://www.a3h.de?ref=1447', '|', '|', 'GET', 'WINDOWS-1252'),
('abiszed','AbisZED-Netz','http://abiszed-netz.de/index.php?ref=557', '|', '|', 'GET', 'WINDOWS-1252'),
('admagnet', 'AD-Magnet', 'http://www.ad-magnet.de/index.php?ref=495', '|', '|', 'GET', 'ISO-8859-1'),
('adcocktail', 'ADCocktail', 'http://www.adcocktail.com/?rid=2596', '|', '|', 'GET', 'WINDOWS-1252'),
('adpaid', 'AdPaid', 'http://www.adpaid.de?ref=1464', '|', '|', 'GET', 'ISO-8859-1'),
('ads4', 'Ads4.de', 'http://www.ads4.de/?werber=Quix0r', '|', '|', 'GET', 'WINDOWS-1252'),
('ads4webbis', 'Ads4Webbis', 'http://www.ads4webbis.de?ref=835', '|', '|', 'GET', 'WINDOWS-1252'),
('ads4world', 'Ads4World', 'http://www.ads4world.de?ref=252', '|', '|', 'GET', 'WINDOWS-1252'),
('affiliblatt', 'Affiliblatt', 'http://www.Affiliblatt.de/?sid=MTAzNQ==&site=home', '|', '|', 'GET', 'UTF-8'),
('allads4you', 'AllAds4You', 'http://www.allads4you.de?ref=1146', '|', '|', 'GET', 'ISO-8859-1'),
('alster', 'Alster-Marketing', 'http://www.alstermarketing.de?ref=1851', '|', '|', 'GET', 'ISO-8859-16'),
('bonus', 'BonusSponsor', 'http://www.bonussponsor.de?ref=1286', '|', '|', 'GET', 'WINDOWS-1252'),
('fusion', 'Fusion-Ads', 'http://www.fusion-ads.de/?ref=84', '|', '|', 'GET', 'UTF-8'),
('gigapromo', 'GigaPromo', 'http://www.gigapromo.de/index.php?ref=953', '|', '|', 'GET', 'WINDOWS-1252'),
('hpsonsor', 'HPSponsor', 'http://hpsponsor.de?ref=29', '|', '|', 'GET', 'WINDOWS-1252'),
('make-euros', 'Make-Euros.de', 'http://www.make-euros.de?ref=1184', '|', '|', 'GET', 'ISO-8859-1'),
('megad', 'Mega-Ad', 'http://www.mega-ad.de/?ref=303', '|', '|', 'GET', 'WINDOWS-1252'),
('power-promo', 'Power-Promo', 'http://www.power-promo.de?ref=1231', '|', '|', 'GET', 'WINDOWS-1252'),
('secash', 'SeCash', 'http://www.secash.de?ref=758', '|', '|', 'GET', 'WINDOWS-1252'),
('swizerland', 'The-Swizerland-Ad-Network', 'http://www.the-switzerland-ad-network.ch?ref=3', '|', '|', 'GET', 'WINDOWS-1252'),
('ultrapromo', 'UltraPROMO', 'http://www.ultrapromo.eu?ref=485', '|', '|', 'GET', 'WINDOWS-1252'),
('werbepartnercc', 'Der Werbepartner.cc', 'http://www.werbepartner.cc/sponsor/?ref=696', '|', '|', 'GET', 'WINDOWS-1252'),
('yoomedia', 'Yoo!Media Solutions', 'http://www.yoomedia.de?ref=1715', '|', '|', 'GET', 'WINDOWS-1252')");

		// Network type handlers - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`,`network_type_handle`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`) VALUES
(1, 1, 'banner', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(2, 1, 'textlink', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL),
(3, 1, 'surfbar', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(4, 1, 'forcedbanner', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(5, 1, 'textmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL),
(6, 1, 'layer', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL),
(7, 1, 'popup', 'http://www.a3h.de/interface/out_popup.php', 'http://www.a3h.de/popup.php?id=%CID%', NULL),
(8, 1, 'popdown', 'http://www.a3h.de/interface/out_popdown.php', 'http://www.a3h.de/popdown.php?id=%CID%', NULL),
(9, 1, 'lead', 'http://www.a3h.de/interface/out_lead.php', 'http://www.a3h.de/lead.php?id=%CID%', NULL),
(10, 1, 'sale', 'http://www.a3h.de/interface/out_sale.php', 'http://www.a3h.de/sale.php?id=%CID%', NULL),
(11, 1, 'htmlmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - AbisZED-Netz
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(187, 2, 'banner_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%'),
(188, 2, 'banner_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%'),
(189, 2, 'textlink_click', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL),
(190, 2, 'textlink_view', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL),
(191, 2, 'surfbar_click', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%'),
(192, 2, 'surfbar_view', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%'),
(193, 2, 'forcedbanner', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%'),
(194, 2, 'textmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL),
(195, 2, 'htmlmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL),
(196, 2, 'layer_click', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL),
(197, 2, 'layer_view', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL),
(198, 2, 'popup', 'http://www.abiszed-netz.de/interface/out_popup.php', 'http://www.abiszed-netz.de/popup.php?id=%CID%', NULL),
(199, 2, 'popdown', 'http://www.abiszed-netz.de/interface/out_popdown.php', 'http://www.abiszed-netz.de/popdown.php?id=%CID%', NULL),
(200, 2, 'lead', 'http://www.abiszed-netz.de/interface/out_lead.php', 'http://www.abiszed-netz.de/lead.php?id=%CID%', NULL),
(201, 2, 'sale', 'http://www.abiszed-netz.de/interface/out_sale.php', 'http://www.abiszed-netz.de/sale.php?id=%CID%', NULL)");

		// Network type handlers - Ad-Magnet

		// Network type handlers - AdCocktail
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(13, 4, 'forcedbanner', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%CID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%CID%&wsid=%SID%'),
(12, 4, 'textmail', 'http://www.adcocktail.com/sc/kas/kas_pm.php', 'http://pm.adcocktail.com/pm.php?uid=%UID%&wid=%CID%&wsid=%SID%', NULL)");

		// Network type handlers - AdPaid
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(177, 5, 'banner', 'http://www.adpaid.de/interface/out_banner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%'),
(178, 5, 'textlink', 'http://www.adpaid.de/interface/out_textlink.php', 'http://www.adpaid.de/textlinkklick.php?id=%CID%', NULL),
(179, 5, 'surfbar', 'http://www.adpaid.de/interface/out_sbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%'),
(180, 5, 'forcedbanner', 'http://www.adpaid.de/interface/out_fbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%'),
(181, 5, 'textmail', 'http://www.adpaid.de/interface/out_paidmail.php', 'http://www.adpaid.de/emailf.php?id=%CID%', NULL),
(182, 5, 'layer', 'http://www.adpaid.de/interface/out_layer.php', 'http://www.adpaid.de/layer.php?id=%CID%', NULL),
(183, 5, 'popup', 'http://www.adpaid.de/interface/out_popup.php', 'http://www.adpaid.de/popup.php?id=%CID%', NULL),
(184, 5, 'popdown', 'http://www.adpaid.de/interface/out_popdown.php', 'http://www.adpaid.de/popdown.php?id=%CID%', NULL),
(185, 5, 'lead', 'http://www.adpaid.de/interface/out_lead.php', 'http://www.adpaid.de/lead.php?id=%CID%', NULL),
(186, 5, 'sale', 'http://www.adpaid.de/interface/out_sale.php', 'http://www.adpaid.de/sale.php?id=%CID%', NULL)");

		// Network type handlers - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(14, 6, 'forcedbanner', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/forced_click.php?fb_id=%CID%&sid=%SID%', 'http://www.ads4.de/forced_view.php?fb_id=%CID%&sid=%SID%'),
(16, 6, 'htmlmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&%sid=%SID%', NULL),
(15, 6, 'textmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&%sid=%SID%', NULL),
(119, 6, 'traffic', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/traffic_click.php?tr_id=%CID%&sid=%SID%', '')");

		// Network type handlers - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(20, 7, 'banner_click', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(19, 7, 'banner_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(22, 7, 'button_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(17, 7, 'forcedbanner', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(18, 7, 'forcedtextlink', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(24, 7, 'popup', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(21, 7, 'skybanner_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(23, 7, 'textlink_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(25, 7, 'textmail', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(120, 7, 'traffic', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(29, 8, 'banner_click', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(28, 8, 'banner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(31, 8, 'button_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(26, 8, 'forcedbanner', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(27, 8, 'forcedtextlink', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(33, 8, 'popup', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(30, 8, 'skybanner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(32, 8, 'textlink_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(34, 8, 'textmail', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(121, 8, 'traffic', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Affiliblatt

		// Network type handlers - AllAds4You
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(167, 10, 'forcedbanner', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(168, 10, 'forcedtextlink', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(169, 10, 'banner_view', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(170, 10, 'banner_click', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(171, 10, 'skybanner_view', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(172, 10, 'button_view', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(173, 10, 'textlink_view', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(174, 10, 'traffic', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(175, 10, 'popup', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(176, 10, 'textmail', 'http://www.allads4you.de/interface/', 'http://www.allads4you.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(35, 11, 'banner_click', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(45, 11, 'banner_view', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(38, 11, 'forcedbanner', 'http://if.alstermarketing.de/interface/out_fbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(48, 11, 'htmlmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL),
(40, 11, 'layer_click', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL),
(49, 11, 'layer_view', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL),
(43, 11, 'lead', 'http://if.alstermarketing.de/interface/out_lead.php', 'http://www.alstermarketing.de/lead.php?id=%CID%', NULL),
(42, 11, 'popdown', 'http://if.alstermarketing.de/interface/out_popdown.php', 'http://www.alstermarketing.de/popdown.php?id=%CID%', NULL),
(41, 11, 'popup', 'http://if.alstermarketing.de/interface/out_popup.php', 'http://www.alstermarketing.de/popup.php?id=%CID%', NULL),
(44, 11, 'sale', 'http://if.alstermarketing.de/interface/out_sale.php', 'http://www.alstermarketing.de/sale.php?id=%CID%', NULL),
(37, 11, 'surfbar_click', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(47, 11, 'surfbar_view', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(36, 11, 'textlink_click', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL),
(46, 11, 'textlink_view', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL),
(39, 11, 'textmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(50, 12, 'banner_click', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(51, 12, 'banner_view', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(54, 12, 'forcedbanner', 'http://www.bonussponsor.de/interface/out_fbanner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(56, 12, 'htmlmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL),
(57, 12, 'layer_click', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL),
(58, 12, 'layer_view', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL),
(61, 12, 'lead', 'http://www.bonussponsor.de/interface/out_lead.php', 'http://www.bonussponsor.de/lead.php?id=%CID%', NULL),
(60, 12, 'popdown', 'http://www.bonussponsor.de/interface/out_popdown.php', 'http://www.bonussponsor.de/popdown.php?id=%CID%', NULL),
(59, 12, 'popup', 'http://www.bonussponsor.de/interface/out_popup.php', 'http://www.bonussponsor.de/popup.php?id=%CID%', NULL),
(62, 12, 'sale', 'http://www.bonussponsor.de/interface/out_sale.php', 'http://www.bonussponsor.de/sale.php?id=%CID%', NULL),
(52, 12, 'textlink_click', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL),
(53, 12, 'textlink_view', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL),
(55, 12, 'textmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - Fusion-Ads

		// Network type handlers - GigaPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(102, 14, 'banner_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(104, 14, 'forcedbanner', 'http://www.gigapromo.de/interface/output_forcedbanner.php', 'http://www.gigapromo.de/view/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(105, 14, 'forcedtextlink', 'http://www.gigapromo.de/interface/output_forcedtextlink.php', 'http://www.gigapromo.de/view/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(103, 14, 'layer_view', 'http://www.gigapromo.de/interface/output_layerviews.php', 'http://www.gigapromo.de/view/layer.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(108, 14, 'popdown', 'http://www.gigapromo.de/interface/output_popdown.php', 'http://www.gigapromo.de/view/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(107, 14, 'popup', 'http://www.gigapromo.de/interface/output_popup.php', 'http://www.gigapromo.de/view/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(106, 14, 'textmail', 'http://www.gigapromo.de/interface/output_paidmails.php', 'http://www.gigapromo.de/view/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(122, 14, 'traffic', 'http://www.gigapromo.de/interface/output_traffic.php', 'http://www.gigapromo.de/view/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - HPSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(135, 15, 'banner_click', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(136, 15, 'banner_view', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(137, 15, 'button_view', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(138, 15, 'forcedbanner', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(139, 15, 'forcedtextlink', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(140, 15, 'popup', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(141, 15, 'skybanner_view', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(142, 15, 'textlink_view', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(143, 15, 'textmail', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(144, 15, 'traffic', 'http://hpsponsor.de/interface/', 'http://hpsponsor.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%CID%', NULL)");

		// Network type handlers - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(63, 16, 'banner_click', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(64, 16, 'banner_view', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(68, 16, 'forcedbanner', 'http://www.make-euros.de/interface/out_fbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(71, 16, 'htmlmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL),
(72, 16, 'layer_click', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL),
(73, 16, 'layer_view', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL),
(76, 16, 'lead', 'http://www.make-euros.de/interface/out_lead.php', 'http://www.make-euros.de/lead.php?id=%CID%', NULL),
(75, 16, 'popdown', 'http://www.make-euros.de/interface/out_popdown.php', 'http://www.make-euros.de/popdown.php?id=%CID%', NULL),
(74, 16, 'popup', 'http://www.make-euros.de/interface/out_popup.php', 'http://www.make-euros.de/popup.php?id=%CID%', NULL),
(77, 16, 'sale', 'http://www.make-euros.de/interface/out_sale.php', 'http://www.make-euros.de/sale.php?id=%CID%', NULL),
(67, 16, 'surfbar_click', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(69, 16, 'surfbar_view', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(65, 16, 'textlink_click', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL),
(66, 16, 'textlink_view', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL),
(70, 16, 'textmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(112, 17, 'banner_click', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/view.php?id=%UID%&bid=%CID%&aid=%SID%'),
(111, 17, 'banner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(114, 17, 'button_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(109, 17, 'forcedbanner', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(110, 17, 'forcedtextlink', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(116, 17, 'popup', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(113, 17, 'skybanner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(115, 17, 'textlink_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(117, 17, 'textmail', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(123, 17, 'traffic', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(78, 18, 'banner_click', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(79, 18, 'banner_view', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(84, 18, 'forcedbanner', 'http://www.power-promo.de/interface/out_fbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(86, 18, 'htmlmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL),
(87, 18, 'layer_click', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL),
(88, 18, 'layer_view', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL),
(91, 18, 'lead', 'http://www.power-promo.de/interface/out_lead.php', 'http://www.power-promo.de/lead.php?id=%CID%', NULL),
(90, 18, 'popdown', 'http://www.power-promo.de/interface/out_popdown.php', 'http://www.power-promo.de/popdown.php?id=%CID%', NULL),
(89, 18, 'popup', 'http://www.power-promo.de/interface/out_popup.php', 'http://www.power-promo.de/popup.php?id=%CID%', NULL),
(92, 18, 'sale', 'http://www.power-promo.de/interface/out_sale.php', 'http://www.power-promo.de/sale.php?id=%CID%', NULL),
(82, 18, 'surfbar_click', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(83, 18, 'surfbar_view', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(80, 18, 'textlink_click', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL),
(81, 18, 'textlink_view', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL),
(85, 18, 'textmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(93, 19, 'forcedbanner', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(94, 19, 'forcedtextlink', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(95, 19, 'banner_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(96, 19, 'banner_click', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(97, 19, 'skybanner_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(98, 19, 'button_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(99, 19, 'textlink_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(100, 19, 'popup', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(101, 19, 'textmail', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(124, 19, 'traffic', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Swizerland
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(205, 20, 'banner_click', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.the-switzerland-ad-network.ch/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(204, 20, 'banner_view', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.the-switzerland-ad-network.ch/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(207, 20, 'button_view', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.the-switzerland-ad-network.ch/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(202, 20, 'forcedbanner', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.the-switzerland-ad-network.ch/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(203, 20, 'forcedtextlink', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(210, 20, 'popup', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(206, 20, 'skybanner_view', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.the-switzerland-ad-network.ch/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(208, 20, 'textlink_view', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(211, 20, 'textmail', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(209, 20, 'traffic', 'http://www.the-switzerland-ad-network.ch/interface/', 'http://www.the-switzerland-ad-network.ch/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - UltraPROMO
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(125, 21, 'banner_click', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(126, 21, 'banner_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(127, 21, 'button_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(128, 21, 'forcedbanner', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(129, 21, 'forcedtextlink', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(130, 21, 'popup', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(131, 21, 'skybanner_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(132, 21, 'textlink_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(133, 21, 'textmail', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(134, 21, 'traffic', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Der Werbepartner.cc
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(145, 22, 'textlink_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL),
(146, 22, 'forcedbanner', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php'),
(147, 22, 'textmail', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL),
(148, 22, 'layer', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL),
(149, 22, 'skybanner_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php'),
(150, 22, 'surfbar_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL),
(151, 22, 'banner_view', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php'),
(152, 22, 'popup', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL),
(153, 22, 'banner_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php'),
(154, 22, 'forcedtextlink', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL),
(155, 22, 'traffic', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL)");

		// Network type handlers - Yoo!Media
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(156, 23, 'banner_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%UID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%UID%&sid=%SID%&bid=%BID%'),
(157, 23, 'textlink_click', 'http://www.yoomedia.de/interface_2.0/out_textlink.php', 'http://www.yoomedia.de/code/t-textlink.php?id=%UID%&sid=%SID%', NULL),
(158, 23, 'surfbar_click', 'http://www.yoomedia.de/interface_2.0/out_sbanner.php', 'http://www.yoomedia.de/code/s-bannerklf.php?id=%UID%&sid=%SID%', 'http://www.yoomedia.de/code/s-banner.php?id=%UID%&sid=%SID%&bid=%BID%'),
(159, 23, 'forcedbanner', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%UID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%UID%&sid=%SID%&bid=%BID%'),
(160, 23, 'pagepeel', 'http://www.yoomedia.de/interface_2.0/out_pagepeel.php', 'http://www.yoomedia.de/code/p-peel.php?id=%UID%&sid=%SID%', NULL),
(161, 23, 'textmail', 'http://www.yoomedia.de/interface_2.0/out_textmail.php', 'http://www.yoomedia.de/code/t-mail.php?id=%UID%&sid=%SID%', NULL),
(162, 23, 'htmlmail', 'http://www.yoomedia.de/interface_2.0/out_htmlmail.php', 'http://www.yoomedia.de/code/h-mail.php?id=%UID%&sid=%SID%', NULL),
(163, 23, 'layer_click', 'http://www.yoomedia.de/interface_2.0/out_layer.php', 'http://www.yoomedia.de/code/l-layer.php?id=%UID%&sid=%SID%', NULL),
(164, 23, 'popup', 'http://www.yoomedia.de/interface_2.0/out_popup.php', 'http://www.yoomedia.de/code/p-popup.php?id=%UID%&sid=%SID%', NULL),
(165, 23, 'popdown', 'http://www.yoomedia.de/interface_2.0/out_popdown.php', 'http://www.yoomedia.de/code/p-popdown.php?id=%UID%&sid=%SID%', NULL),
(166, 23, 'lead', 'http://www.yoomedia.de/interface_2.0/out_lead.php', 'http://www.yoomedia.de/code/lead.php?id=%UID%&sid=%SID%', NULL)");

		// Request parameters per type handler - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1, 1, 1, 'id', 'id', NULL),
(2, 1, 1, 'sid', 'sid', NULL),
(3, 1, 1, 'password', 'pw', NULL),
(4, 1, 1, 'reload', 'reload', NULL),
(5, 1, 1, 'reward', 'verguetung', NULL),
(6, 1, 1, 'minimum_stay', 'ma', NULL),
(7, 1, 1, 'type', 'typ', NULL),
(8, 1, 1, 'remain', 'uebrig', NULL),
(9, 1, 1, 'size', 'size', NULL),
(10, 1, 2, 'id', 'id', NULL),
(11, 1, 2, 'sid', 'sid', NULL),
(12, 1, 2, 'password', 'pw', NULL),
(13, 1, 2, 'reload', 'reload', NULL),
(14, 1, 2, 'reward', 'verguetung', NULL),
(15, 1, 2, 'remain', 'uebrig', NULL),
(16, 1, 3, 'id', 'id', NULL),
(17, 1, 3, 'sid', 'sid', NULL),
(18, 1, 3, 'password', 'pw', NULL),
(19, 1, 3, 'reload', 'reload', NULL),
(20, 1, 3, 'reward', 'verguetung', NULL),
(21, 1, 3, 'type', 'typ', NULL),
(22, 1, 3, 'remain', 'uebrig', NULL),
(23, 1, 3, 'size', 'size', NULL),
(24, 1, 4, 'id', 'id', NULL),
(25, 1, 4, 'sid', 'sid', NULL),
(26, 1, 4, 'password', 'pw', NULL),
(27, 1, 4, 'reload', 'reload', NULL),
(28, 1, 4, 'reward', 'verguetung', NULL),
(29, 1, 4, 'minimum_stay', 'ma', NULL),
(30, 1, 4, 'remain', 'uebrig', NULL),
(31, 1, 4, 'size', 'size', NULL),
(32, 1, 5, 'id', 'id', NULL),
(33, 1, 5, 'sid', 'sid', NULL),
(34, 1, 5, 'password', 'pw', NULL),
(35, 1, 5, 'reload', 'reload', NULL),
(36, 1, 5, 'reward', 'verguetung', NULL),
(37, 1, 5, 'minimum_stay', 'ma', NULL),
(38, 1, 5, 'type', 'typ', 'text'),
(39, 1, 5, 'remain', 'uebrig', NULL),
(40, 1, 11, 'id', 'id', NULL),
(41, 1, 11, 'sid', 'sid', NULL),
(42, 1, 11, 'password', 'pw', NULL),
(43, 1, 11, 'reload', 'reload', NULL),
(44, 1, 11, 'reward', 'verguetung', NULL),
(45, 1, 11, 'minimum_stay', 'ma', NULL),
(46, 1, 11, 'type', 'typ', 'html'),
(47, 1, 11, 'remain', 'uebrig', NULL),
(48, 1, 6, 'id', 'id', NULL),
(49, 1, 6, 'sid', 'sid', NULL),
(50, 1, 6, 'password', 'pw', NULL),
(51, 1, 6, 'reload', 'reload', NULL),
(52, 1, 6, 'reward', 'verguetung', NULL),
(53, 1, 6, 'type', 'typ', NULL),
(54, 1, 6, 'remain', 'uebrig', NULL),
(55, 1, 7, 'id', 'id', NULL),
(56, 1, 7, 'sid', 'sid', NULL),
(57, 1, 7, 'password', 'pw', NULL),
(58, 1, 7, 'reload', 'reload', NULL),
(59, 1, 7, 'reward', 'verguetung', NULL),
(60, 1, 7, 'minimum_stay', 'ma', NULL),
(61, 1, 7, 'remain', 'uebrig', NULL),
(62, 1, 8, 'id', 'id', NULL),
(63, 1, 8, 'sid', 'sid', NULL),
(64, 1, 8, 'password', 'pw', NULL),
(65, 1, 8, 'reload', 'reload', NULL),
(66, 1, 8, 'reward', 'verguetung', NULL),
(67, 1, 8, 'minimum_stay', 'ma', NULL),
(68, 1, 8, 'remain', 'uebrig', NULL),
(69, 1, 9, 'id', 'id', NULL),
(70, 1, 9, 'sid', 'sid', NULL),
(71, 1, 9, 'password', 'pw', NULL),
(72, 1, 9, 'reward', 'verguetung', NULL),
(73, 1, 9, 'remain', 'uebrig', NULL),
(74, 1, 10, 'id', 'id', NULL),
(75, 1, 10, 'sid', 'sid', NULL),
(76, 1, 10, 'password', 'pw', NULL),
(77, 1, 10, 'reward', 'verguetung', NULL),
(78, 1, 10, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - AbisZED-Netz
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1337, 2, 187, 'id', 'id', NULL),
(1338, 2, 187, 'sid', 'sid', NULL),
(1339, 2, 187, 'password', 'pw', NULL),
(1340, 2, 187, 'reward', 'verguetung', NULL),
(1341, 2, 187, 'reload', 'reload', NULL),
(1342, 2, 187, 'remain', 'uebrig', NULL),
(1343, 2, 187, 'type', 'typ', 'klick'),
(1344, 2, 187, 'size', 'size', NULL),
(1345, 2, 188, 'id', 'id', NULL),
(1346, 2, 188, 'sid', 'sid', NULL),
(1347, 2, 188, 'password', 'pw', NULL),
(1349, 2, 188, 'reward', 'verguetung', NULL),
(1350, 2, 188, 'reload', 'reload', NULL),
(1351, 2, 188, 'remain', 'uebrig', NULL),
(1352, 2, 188, 'type', 'typ', 'view'),
(1353, 2, 188, 'size', 'size', NULL),
(1354, 2, 189, 'id', 'id', NULL),
(1355, 2, 189, 'sid', 'sid', NULL),
(1356, 2, 189, 'password', 'pw', NULL),
(1357, 2, 189, 'reward', 'verguetung', NULL),
(1358, 2, 189, 'reload', 'reload', NULL),
(1359, 2, 189, 'remain', 'uebrig', NULL),
(1360, 2, 189, 'type', 'typ', 'klick'),
(1361, 2, 190, 'id', 'id', NULL),
(1362, 2, 190, 'sid', 'sid', NULL),
(1363, 2, 190, 'password', 'pw', NULL),
(1364, 2, 190, 'reward', 'verguetung', NULL),
(1365, 2, 190, 'reload', 'reload', NULL),
(1366, 2, 190, 'remain', 'uebrig', NULL),
(1367, 2, 190, 'type', 'typ', 'view'),
(1368, 2, 191, 'id', 'id', NULL),
(1369, 2, 191, 'sid', 'sid', NULL),
(1370, 2, 191, 'password', 'pw', NULL),
(1371, 2, 191, 'reward', 'verguetung', NULL),
(1372, 2, 191, 'reload', 'reload', NULL),
(1373, 2, 191, 'remain', 'uebrig', NULL),
(1374, 2, 191, 'type', 'typ', 'klick'),
(1375, 2, 191, 'size', 'size', NULL),
(1376, 2, 192, 'id', 'id', NULL),
(1377, 2, 192, 'sid', 'sid', NULL),
(1378, 2, 192, 'password', 'pw', NULL),
(1379, 2, 192, 'reward', 'verguetung', NULL),
(1380, 2, 192, 'reload', 'reload', NULL),
(1381, 2, 192, 'remain', 'uebrig', NULL),
(1382, 2, 192, 'type', 'typ', 'view'),
(1383, 2, 192, 'size', 'size', NULL),
(1384, 2, 193, 'id', 'id', NULL),
(1385, 2, 193, 'sid', 'sid', NULL),
(1386, 2, 193, 'password', 'pw', NULL),
(1387, 2, 193, 'reward', 'verguetung', NULL),
(1388, 2, 193, 'reload', 'reload', NULL),
(1389, 2, 193, 'remain', 'uebrig', NULL),
(1390, 2, 193, 'size', 'size', NULL),
(1391, 2, 193, 'minimum_stay', 'ma', NULL),
(1392, 2, 194, 'id', 'id', NULL),
(1393, 2, 194, 'sid', 'sid', NULL),
(1394, 2, 194, 'password', 'pw', NULL),
(1395, 2, 194, 'reward', 'verguetung', NULL),
(1396, 2, 194, 'reload', 'reload', NULL),
(1397, 2, 194, 'remain', 'uebrig', NULL),
(1398, 2, 194, 'minimum_stay', 'ma', NULL),
(1399, 2, 194, 'type', 'typ', 'text'),
(1400, 2, 195, 'id', 'id', NULL),
(1401, 2, 195, 'sid', 'sid', NULL),
(1402, 2, 195, 'password', 'pw', NULL),
(1403, 2, 195, 'reward', 'verguetung', NULL),
(1404, 2, 195, 'reload', 'reload', NULL),
(1405, 2, 195, 'remain', 'uebrig', NULL),
(1406, 2, 195, 'minimum_stay', 'ma', NULL),
(1407, 2, 195, 'type', 'typ', 'html'),
(1408, 2, 196, 'id', 'id', NULL),
(1409, 2, 196, 'sid', 'sid', NULL),
(1410, 2, 196, 'password', 'pw', NULL),
(1411, 2, 196, 'reward', 'verguetung', NULL),
(1412, 2, 196, 'reload', 'reload', NULL),
(1413, 2, 196, 'remain', 'uebrig', NULL),
(1414, 2, 196, 'type', 'typ', 'klick'),
(1415, 2, 197, 'id', 'id', NULL),
(1416, 2, 197, 'sid', 'sid', NULL),
(1417, 2, 197, 'password', 'pw', NULL),
(1418, 2, 197, 'reward', 'verguetung', NULL),
(1419, 2, 197, 'reload', 'reload', NULL),
(1420, 2, 197, 'remain', 'uebrig', NULL),
(1421, 2, 197, 'type', 'typ', 'view'),
(1422, 2, 198, 'id', 'id', NULL),
(1423, 2, 198, 'sid', 'sid', NULL),
(1424, 2, 198, 'password', 'pw', NULL),
(1425, 2, 198, 'reward', 'verguetung', NULL),
(1426, 2, 198, 'reload', 'reload', NULL),
(1427, 2, 198, 'remain', 'uebrig', NULL),
(1428, 2, 198, 'minimum_stay', 'ma', NULL),
(1429, 2, 199, 'id', 'id', NULL),
(1430, 2, 199, 'sid', 'sid', NULL),
(1431, 2, 199, 'password', 'pw', NULL),
(1432, 2, 199, 'reward', 'verguetung', NULL),
(1433, 2, 199, 'reload', 'reload', NULL),
(1434, 2, 199, 'remain', 'uebrig', NULL),
(1435, 2, 199, 'max_stay', 'ma', NULL),
(1436, 2, 200, 'id', 'id', NULL),
(1437, 2, 200, 'sid', 'sid', NULL),
(1438, 2, 200, 'password', 'pw', NULL),
(1439, 2, 200, 'reward', 'verguetung', NULL),
(1440, 2, 200, 'remain', 'uebrig', NULL),
(1441, 2, 201, 'id', 'id', NULL),
(1442, 2, 201, 'sid', 'sid', NULL),
(1443, 2, 201, 'password', 'pw', NULL),
(1444, 2, 201, 'reward', 'verguetung', NULL),
(1445, 2, 201, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - Ad-Magnet

		// Request parameters per type handler - AdCocktail

		// Request parameters per type handler - AdPaid
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1259, 5, 177, 'id', 'id', NULL),
(1260, 5, 177, 'sid', 'sid', NULL),
(1261, 5, 177, 'password', 'pw', NULL),
(1262, 5, 177, 'reward', 'verguetung', NULL),
(1263, 5, 177, 'reload', 'reload', NULL),
(1264, 5, 177, 'remain', 'uebrig', NULL),
(1265, 5, 177, 'type', 'typ', NULL),
(1266, 5, 177, 'size', 'size', '468x60'),
(1267, 5, 178, 'id', 'id', NULL),
(1268, 5, 178, 'sid', 'sid', NULL),
(1269, 5, 178, 'password', 'pw', NULL),
(1270, 5, 178, 'reward', 'verguetung', NULL),
(1271, 5, 178, 'reload', 'reload', NULL),
(1272, 5, 178, 'remain', 'uebrig', NULL),
(1273, 5, 178, 'type', 'typ', NULL),
(1274, 5, 179, 'id', 'id', NULL),
(1275, 5, 179, 'sid', 'sid', NULL),
(1276, 5, 179, 'password', 'pw', NULL),
(1277, 5, 179, 'reward', 'verguetung', NULL),
(1278, 5, 179, 'reload', 'reload', NULL),
(1279, 5, 179, 'remain', 'uebrig', NULL),
(1280, 5, 179, 'type', 'typ', NULL),
(1281, 5, 179, 'size', 'size', NULL),
(1282, 5, 180, 'id', 'id', NULL),
(1283, 5, 180, 'sid', 'sid', NULL),
(1284, 5, 180, 'password', 'pw', NULL),
(1285, 5, 180, 'reward', 'verguetung', NULL),
(1286, 5, 180, 'reload', 'reload', NULL),
(1287, 5, 180, 'remain', 'uebrig', NULL),
(1288, 5, 180, 'size', 'size', '468x60'),
(1289, 5, 180, 'minimum_stay', 'ma', NULL),
(1290, 5, 181, 'id', 'id', NULL),
(1291, 5, 181, 'sid', 'sid', NULL),
(1292, 5, 181, 'password', 'pw', NULL),
(1293, 5, 181, 'reload', 'reload', NULL),
(1294, 5, 181, 'reward', 'verguetung', NULL),
(1295, 5, 181, 'remain', 'uebrig', NULL),
(1296, 5, 181, 'minimum_stay', 'ma', NULL),
(1297, 5, 181, 'type', 'typ', 'text'),
(1306, 5, 182, 'id', 'id', NULL),
(1307, 5, 182, 'sid', 'sid', NULL),
(1308, 5, 182, 'password', 'pw', NULL),
(1309, 5, 182, 'reload', 'reload', NULL),
(1310, 5, 182, 'reward', 'verguetung', NULL),
(1311, 5, 182, 'remain', 'uebrig', NULL),
(1312, 5, 182, 'type', 'typ', NULL),
(1313, 5, 183, 'id', 'id', NULL),
(1314, 5, 183, 'sid', 'sid', NULL),
(1315, 5, 183, 'password', 'pw', NULL),
(1316, 5, 183, 'reload', 'reload', NULL),
(1317, 5, 183, 'reward', 'verguetung', NULL),
(1318, 5, 183, 'remain', 'uebrig', NULL),
(1319, 5, 183, 'minimum_stay', 'ma', NULL),
(1320, 5, 184, 'id', 'id', NULL),
(1321, 5, 184, 'sid', 'sid', NULL),
(1322, 5, 184, 'password', 'pw', NULL),
(1323, 5, 184, 'reload', 'reload', NULL),
(1324, 5, 184, 'reward', 'verguetung', NULL),
(1325, 5, 184, 'remain', 'uebrig', NULL),
(1326, 5, 184, 'minimum_stay', 'ma', NULL),
(1327, 5, 185, 'id', 'id', NULL),
(1328, 5, 185, 'sid', 'sid', NULL),
(1329, 5, 185, 'password', 'pw', NULL),
(1330, 5, 185, 'reward', 'verguetung', NULL),
(1331, 5, 185, 'remain', 'uebrig', NULL),
(1332, 5, 186, 'id', 'id', NULL),
(1333, 5, 186, 'sid', 'sid', NULL),
(1334, 5, 186, 'password', 'pw', NULL),
(1335, 5, 186, 'reward', 'verguetung', NULL),
(1336, 5, 186, 'remain', 'uebrig', NULL),
(1298, 5, 187, 'id', 'id', NULL),
(1299, 5, 187, 'sid', 'sid', NULL),
(1300, 5, 187, 'password', 'pw', NULL),
(1301, 5, 187, 'reload', 'reload', NULL),
(1302, 5, 187, 'reward', 'verguetung', NULL),
(1303, 5, 187, 'remain', 'uebrig', NULL),
(1304, 5, 187, 'minimum_stay', 'ma', NULL),
(1305, 5, 187, 'type', 'typ', 'html')");

		// Request parameters per type handler - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(79, 6, 14, 'id', 'id', NULL),
(80, 6, 14, 'password', 'pwd', NULL),
(81, 6, 14, 'currency', 'waehrung', NULL),
(82, 6, 14, 'extra', 'mediatype', 'forced_banner'),
(83, 6, 14, 'reward', 'verg', NULL),
(84, 6, 14, 'reload', 'reload', NULL),
(85, 6, 14, 'remain', 'uebrig', NULL),
(86, 6, 14, 'minimum_stay', 'ma', NULL),
(87, 6, 15, 'id', 'id', NULL),
(88, 6, 15, 'password', 'pwd', NULL),
(89, 6, 15, 'currency', 'waehrung', NULL),
(90, 6, 15, 'extra', 'mediatype', 'textmails'),
(91, 6, 15, 'reward', 'verg', NULL),
(92, 6, 15, 'reload', 'reload', NULL),
(93, 6, 15, 'remain', 'uebrig', NULL),
(94, 6, 15, 'minimum_stay', 'ma', NULL),
(95, 6, 16, 'id', 'id', NULL),
(96, 6, 16, 'password', 'pw', NULL),
(97, 6, 16, 'currency', 'waehrung', NULL),
(98, 6, 16, 'extra', 'mediatype', 'htmlmails'),
(99, 6, 16, 'reward', 'verg', NULL),
(100, 6, 16, 'reload', 'reload', NULL),
(101, 6, 16, 'remain', 'uebrig', NULL),
(102, 6, 16, 'minimum_stay', 'ma', NULL),
(789, 6, 119, 'id', 'id', NULL),
(790, 6, 119, 'password', 'pwd', NULL),
(791, 6, 119, 'currency', 'waehrung', NULL),
(792, 6, 119, 'extra', 'mediatype', 'traffic'),
(793, 6, 119, 'reward', 'verg', NULL),
(794, 6, 119, 'reload', 'reload', NULL),
(795, 6, 119, 'remain', 'uebrig', NULL),
(796, 6, 119, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(103, 7, 20, 'extra', 'typ', 'bannerklick'),
(104, 7, 20, 'id', 'id', NULL),
(105, 7, 20, 'password', 'pw', NULL),
(106, 7, 20, 'remain', 'uebrig', NULL),
(107, 7, 20, 'reload', 'reload', NULL),
(108, 7, 20, 'reward', 'verguetung', NULL),
(109, 7, 17, 'extra', 'typ', 'forcedbanner'),
(110, 7, 17, 'id', 'id', NULL),
(111, 7, 17, 'password', 'pw', NULL),
(112, 7, 17, 'remain', 'uebrig', NULL),
(113, 7, 17, 'reload', 'reload', NULL),
(114, 7, 17, 'reward', 'verguetung', NULL),
(115, 7, 18, 'extra', 'typ', 'forcedtextlink'),
(116, 7, 18, 'id', 'id', NULL),
(117, 7, 18, 'password', 'pw', NULL),
(118, 7, 18, 'remain', 'uebrig', NULL),
(119, 7, 18, 'reload', 'reload', NULL),
(120, 7, 18, 'reward', 'verguetung', NULL),
(121, 7, 19, 'extra', 'typ', 'bannerview'),
(122, 7, 19, 'id', 'id', NULL),
(123, 7, 19, 'password', 'pw', NULL),
(124, 7, 19, 'remain', 'uebrig', NULL),
(125, 7, 19, 'reload', 'reload', NULL),
(126, 7, 19, 'reward', 'verguetung', NULL),
(127, 7, 21, 'extra', 'typ', 'skybannerview'),
(128, 7, 21, 'id', 'id', NULL),
(129, 7, 21, 'password', 'pw', NULL),
(130, 7, 21, 'remain', 'uebrig', NULL),
(131, 7, 21, 'reload', 'reload', NULL),
(132, 7, 21, 'reward', 'verguetung', NULL),
(133, 7, 22, 'extra', 'typ', 'buttonview'),
(134, 7, 22, 'id', 'id', NULL),
(135, 7, 22, 'password', 'pw', NULL),
(136, 7, 22, 'remain', 'uebrig', NULL),
(137, 7, 22, 'reload', 'reload', NULL),
(138, 7, 22, 'reward', 'verguetung', NULL),
(139, 7, 23, 'extra', 'typ', 'textview'),
(140, 7, 23, 'id', 'id', NULL),
(141, 7, 23, 'password', 'pw', NULL),
(142, 7, 23, 'remain', 'uebrig', NULL),
(143, 7, 23, 'reload', 'reload', NULL),
(144, 7, 23, 'reward', 'verguetung', NULL),
(145, 7, 24, 'extra', 'typ', 'popup'),
(146, 7, 24, 'id', 'id', NULL),
(147, 7, 24, 'password', 'pw', NULL),
(148, 7, 24, 'remain', 'uebrig', NULL),
(149, 7, 24, 'reload', 'reload', NULL),
(150, 7, 24, 'reward', 'verguetung', NULL),
(151, 7, 24, 'minimum_stay', 'ma', NULL),
(152, 7, 25, 'extra', 'typ', 'paidmail'),
(153, 7, 25, 'id', 'id', NULL),
(154, 7, 25, 'password', 'pw', NULL),
(155, 7, 25, 'remain', 'uebrig', NULL),
(156, 7, 25, 'reload', 'reload', NULL),
(157, 7, 25, 'reward', 'verguetung', NULL),
(158, 7, 25, 'minimum_stay', 'ma', NULL),
(797, 7, 120, 'extra', 'typ', 'traffic'),
(798, 7, 120, 'id', 'id', NULL),
(799, 7, 120, 'password', 'pw', NULL),
(800, 7, 120, 'remain', 'uebrig', NULL),
(801, 7, 120, 'reload', 'reload', NULL),
(802, 7, 120, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(159, 8, 29, 'extra', 'typ', 'bannerklick'),
(160, 8, 29, 'id', 'id', NULL),
(161, 8, 29, 'password', 'pw', NULL),
(162, 8, 29, 'remain', 'uebrig', NULL),
(163, 8, 29, 'reload', 'reload', NULL),
(164, 8, 29, 'reward', 'verguetung', NULL),
(165, 8, 28, 'extra', 'typ', 'bannerview'),
(166, 8, 28, 'id', 'id', NULL),
(167, 8, 28, 'password', 'pw', NULL),
(168, 8, 28, 'remain', 'uebrig', NULL),
(169, 8, 28, 'reload', 'reload', NULL),
(170, 8, 28, 'reward', 'verguetung', NULL),
(171, 8, 31, 'extra', 'typ', 'buttonview'),
(172, 8, 31, 'id', 'id', NULL),
(173, 8, 31, 'password', 'pw', NULL),
(174, 8, 31, 'remain', 'uebrig', NULL),
(175, 8, 31, 'reload', 'reload', NULL),
(176, 8, 31, 'reward', 'verguetung', NULL),
(177, 8, 26, 'extra', 'typ', 'forcedbanner'),
(178, 8, 26, 'id', 'id', NULL),
(179, 8, 26, 'password', 'pw', NULL),
(180, 8, 26, 'remain', 'uebrig', NULL),
(181, 8, 26, 'reload', 'reload', NULL),
(182, 8, 26, 'reward', 'verguetung', NULL),
(183, 8, 27, 'extra', 'typ', 'forcedtextlink'),
(184, 8, 27, 'id', 'id', NULL),
(185, 8, 27, 'password', 'pw', NULL),
(186, 8, 27, 'remain', 'uebrig', NULL),
(187, 8, 27, 'reload', 'reload', NULL),
(188, 8, 27, 'reward', 'verguetung', NULL),
(189, 8, 33, 'extra', 'typ', 'popup'),
(190, 8, 33, 'id', 'id', NULL),
(191, 8, 33, 'password', 'pw', NULL),
(192, 8, 33, 'remain', 'uebrig', NULL),
(193, 8, 33, 'reload', 'reload', NULL),
(194, 8, 33, 'reward', 'verguetung', NULL),
(195, 8, 33, 'minimum_stay', 'ma', NULL),
(196, 8, 30, 'extra', 'typ', 'skybannerview'),
(197, 8, 30, 'id', 'id', NULL),
(198, 8, 30, 'password', 'pw', NULL),
(199, 8, 30, 'remain', 'uebrig', NULL),
(200, 8, 30, 'reload', 'reload', NULL),
(201, 8, 30, 'reward', 'verguetung', NULL),
(202, 8, 32, 'extra', 'typ', 'textview'),
(203, 8, 32, 'id', 'id', NULL),
(204, 8, 32, 'password', 'pw', NULL),
(205, 8, 32, 'remain', 'uebrig', NULL),
(206, 8, 32, 'reload', 'reload', NULL),
(207, 8, 32, 'reward', 'verguetung', NULL),
(208, 8, 34, 'extra', 'typ', 'textmails'),
(209, 8, 34, 'id', 'id', NULL),
(210, 8, 34, 'password', 'pw', NULL),
(211, 8, 34, 'remain', 'uebrig', NULL),
(212, 8, 34, 'reload', 'reload', NULL),
(213, 8, 34, 'reward', 'verguetung', NULL),
(214, 8, 34, 'minimum_stay', 'ma', NULL),
(803, 8, 121, 'extra', 'typ', 'traffic'),
(804, 8, 121, 'id', 'id', NULL),
(805, 8, 121, 'password', 'pw', NULL),
(806, 8, 121, 'remain', 'uebrig', NULL),
(807, 8, 121, 'reload', 'reload', NULL),
(808, 8, 121, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Affiliblatt

		// Request parameters per type handler - AllAds4You
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1112, 10, 167, 'extra', 'typ', 'forcedbanner'),
(1113, 10, 167, 'id', 'id', NULL),
(1114, 10, 167, 'sid', 'sid', NULL),
(1115, 10, 167, 'password', 'pw', NULL),
(1116, 10, 167, 'remain', 'uebrig', NULL),
(1117, 10, 167, 'reload', 'reload', NULL),
(1118, 10, 167, 'reward', 'verguetung', NULL),
(1196, 10, 168, 'extra', 'typ', 'forcedtextlink'),
(1197, 10, 168, 'id', 'id', NULL),
(1198, 10, 168, 'sid', 'sid', NULL),
(1199, 10, 168, 'password', 'pw', NULL),
(1200, 10, 168, 'remain', 'uebrig', NULL),
(1201, 10, 168, 'reload', 'reload', NULL),
(1202, 10, 168, 'reward', 'verguetung', NULL),
(1203, 10, 169, 'extra', 'typ', 'bannerview'),
(1204, 10, 169, 'id', 'id', NULL),
(1205, 10, 169, 'sid', 'sid', NULL),
(1206, 10, 169, 'password', 'pw', NULL),
(1207, 10, 169, 'remain', 'uebrig', NULL),
(1208, 10, 169, 'reload', 'reload', NULL),
(1209, 10, 169, 'reward', 'verguetung', NULL),
(1210, 10, 170, 'extra', 'typ', 'bannerklick'),
(1211, 10, 170, 'id', 'id', NULL),
(1212, 10, 170, 'sid', 'sid', NULL),
(1213, 10, 170, 'password', 'pw', NULL),
(1214, 10, 170, 'remain', 'uebrig', NULL),
(1215, 10, 170, 'reload', 'reload', NULL),
(1216, 10, 170, 'reward', 'verguetung', NULL),
(1217, 10, 171, 'extra', 'typ', 'skybannerview'),
(1218, 10, 171, 'id', 'id', NULL),
(1219, 10, 171, 'sid', 'sid', NULL),
(1220, 10, 171, 'password', 'pw', NULL),
(1221, 10, 171, 'remain', 'uebrig', NULL),
(1222, 10, 171, 'reload', 'reload', NULL),
(1223, 10, 171, 'reward', 'verguetung', NULL),
(1224, 10, 172, 'extra', 'typ', 'buttonview'),
(1225, 10, 172, 'id', 'id', NULL),
(1226, 10, 172, 'sid', 'sid', NULL),
(1227, 10, 172, 'password', 'pw', NULL),
(1228, 10, 172, 'remain', 'uebrig', NULL),
(1229, 10, 172, 'reload', 'reload', NULL),
(1230, 10, 172, 'reward', 'verguetung', NULL),
(1231, 10, 173, 'extra', 'typ', 'textview'),
(1232, 10, 173, 'id', 'id', NULL),
(1233, 10, 173, 'sid', 'sid', NULL),
(1234, 10, 173, 'password', 'pw', NULL),
(1235, 10, 173, 'remain', 'uebrig', NULL),
(1236, 10, 173, 'reload', 'reload', NULL),
(1237, 10, 173, 'reward', 'verguetung', NULL),
(1238, 10, 174, 'extra', 'typ', 'traffic'),
(1239, 10, 174, 'id', 'id', NULL),
(1240, 10, 174, 'sid', 'sid', NULL),
(1241, 10, 174, 'password', 'pw', NULL),
(1242, 10, 174, 'remain', 'uebrig', NULL),
(1243, 10, 174, 'reload', 'reload', NULL),
(1244, 10, 174, 'reward', 'verguetung', NULL),
(1245, 10, 175, 'extra', 'typ', 'popup'),
(1246, 10, 175, 'id', 'id', NULL),
(1247, 10, 175, 'sid', 'sid', NULL),
(1248, 10, 175, 'password', 'pw', NULL),
(1249, 10, 175, 'remain', 'uebrig', NULL),
(1250, 10, 175, 'reload', 'reload', NULL),
(1251, 10, 175, 'reward', 'verguetung', NULL),
(1252, 10, 176, 'extra', 'typ', 'paidmail'),
(1253, 10, 176, 'id', 'id', NULL),
(1254, 10, 176, 'sid', 'sid', NULL),
(1255, 10, 176, 'password', 'pw', NULL),
(1256, 10, 176, 'remain', 'uebrig', NULL),
(1257, 10, 176, 'reload', 'reload', NULL),
(1258, 10, 176, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(215, 11, 35, 'id', 'id', NULL),
(216, 11, 35, 'sid', 'sid', NULL),
(217, 11, 35, 'password', 'pw', NULL),
(218, 11, 35, 'reward', 'verguetung', NULL),
(219, 11, 35, 'reload', 'reload', NULL),
(220, 11, 35, 'remain', 'uebrig', NULL),
(221, 11, 35, 'type', 'typ', 'klick'),
(222, 11, 35, 'size', 'size', NULL),
(223, 11, 45, 'id', 'id', NULL),
(224, 11, 45, 'sid', 'sid', NULL),
(225, 11, 45, 'password', 'pw', NULL),
(226, 11, 45, 'reward', 'verguetung', NULL),
(227, 11, 45, 'reload', 'reload', NULL),
(228, 11, 45, 'remain', 'uebrig', NULL),
(229, 11, 45, 'type', 'typ', 'view'),
(230, 11, 45, 'size', 'size', NULL),
(231, 11, 36, 'id', 'id', NULL),
(232, 11, 36, 'sid', 'sid', NULL),
(233, 11, 36, 'password', 'pw', NULL),
(234, 11, 36, 'reward', 'verguetung', NULL),
(235, 11, 36, 'reload', 'reload', NULL),
(236, 11, 36, 'remain', 'uebrig', NULL),
(237, 11, 36, 'type', 'typ', 'klick'),
(238, 11, 46, 'id', 'id', NULL),
(239, 11, 46, 'sid', 'sid', NULL),
(240, 11, 46, 'password', 'pw', NULL),
(241, 11, 46, 'reward', 'verguetung', NULL),
(242, 11, 46, 'reload', 'reload', NULL),
(243, 11, 46, 'remain', 'uebrig', NULL),
(244, 11, 46, 'type', 'typ', 'view'),
(245, 11, 37, 'id', 'id', NULL),
(246, 11, 37, 'sid', 'sid', NULL),
(247, 11, 37, 'password', 'pw', NULL),
(248, 11, 37, 'reward', 'verguetung', NULL),
(249, 11, 37, 'reload', 'reload', NULL),
(250, 11, 37, 'remain', 'uebrig', NULL),
(251, 11, 37, 'type', 'typ', 'klick'),
(252, 11, 37, 'size', 'size', NULL),
(253, 11, 47, 'id', 'id', NULL),
(254, 11, 47, 'sid', 'sid', NULL),
(255, 11, 47, 'password', 'pw', NULL),
(256, 11, 47, 'reward', 'verguetung', NULL),
(257, 11, 47, 'reload', 'reload', NULL),
(258, 11, 47, 'remain', 'uebrig', NULL),
(259, 11, 47, 'type', 'typ', 'view'),
(260, 11, 47, 'size', 'size', NULL),
(261, 11, 38, 'id', 'id', NULL),
(262, 11, 38, 'sid', 'sid', NULL),
(263, 11, 38, 'password', 'pw', NULL),
(264, 11, 38, 'reward', 'verguetung', NULL),
(265, 11, 38, 'reload', 'reload', NULL),
(266, 11, 38, 'remain', 'uebrig', NULL),
(267, 11, 38, 'size', 'size', NULL),
(268, 11, 38, 'minimum_stay', 'ma', NULL),
(269, 11, 39, 'id', 'id', NULL),
(270, 11, 39, 'sid', 'sid', NULL),
(271, 11, 39, 'password', 'pw', NULL),
(272, 11, 39, 'reward', 'verguetung', NULL),
(273, 11, 39, 'reload', 'reload', NULL),
(274, 11, 39, 'remain', 'uebrig', NULL),
(275, 11, 39, 'minimum_stay', 'ma', NULL),
(276, 11, 39, 'type', 'typ', 'text'),
(277, 11, 48, 'id', 'id', NULL),
(278, 11, 48, 'sid', 'sid', NULL),
(279, 11, 48, 'password', 'pw', NULL),
(280, 11, 48, 'reward', 'verguetung', NULL),
(281, 11, 48, 'reload', 'reload', NULL),
(282, 11, 48, 'remain', 'uebrig', NULL),
(283, 11, 48, 'minimum_stay', 'ma', NULL),
(284, 11, 48, 'type', 'typ', 'html'),
(285, 11, 40, 'id', 'id', NULL),
(286, 11, 40, 'sid', 'sid', NULL),
(287, 11, 40, 'password', 'pw', NULL),
(288, 11, 40, 'reward', 'verguetung', NULL),
(289, 11, 40, 'reload', 'reload', NULL),
(290, 11, 40, 'remain', 'uebrig', NULL),
(291, 11, 40, 'type', 'typ', 'klick'),
(292, 11, 49, 'id', 'id', NULL),
(293, 11, 49, 'sid', 'sid', NULL),
(294, 11, 49, 'password', 'pw', NULL),
(295, 11, 49, 'reward', 'verguetung', NULL),
(296, 11, 49, 'reload', 'reload', NULL),
(297, 11, 49, 'remain', 'uebrig', NULL),
(298, 11, 49, 'type', 'typ', 'view'),
(299, 11, 41, 'id', 'id', NULL),
(300, 11, 41, 'sid', 'sid', NULL),
(301, 11, 41, 'password', 'pw', NULL),
(302, 11, 41, 'reward', 'verguetung', NULL),
(303, 11, 41, 'reload', 'reload', NULL),
(304, 11, 41, 'remain', 'uebrig', NULL),
(305, 11, 41, 'minimum_stay', 'ma', NULL),
(306, 11, 42, 'id', 'id', NULL),
(307, 11, 42, 'sid', 'sid', NULL),
(308, 11, 42, 'password', 'pw', NULL),
(309, 11, 42, 'reward', 'verguetung', NULL),
(310, 11, 42, 'reload', 'reload', NULL),
(311, 11, 42, 'remain', 'uebrig', NULL),
(312, 11, 42, 'minimum_stay', 'ma', NULL),
(313, 11, 43, 'id', 'id', NULL),
(314, 11, 43, 'sid', 'sid', NULL),
(315, 11, 43, 'password', 'pw', NULL),
(316, 11, 43, 'reward', 'verguetung', NULL),
(317, 11, 43, 'remain', 'uebrig', NULL),
(318, 11, 44, 'id', 'id', NULL),
(319, 11, 44, 'sid', 'sid', NULL),
(320, 11, 44, 'password', 'pw', NULL),
(321, 11, 44, 'reward', 'verguetung', NULL),
(322, 11, 44, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(323, 12, 50, 'id', 'id', NULL),
(324, 12, 50, 'sid', 'sid', NULL),
(325, 12, 50, 'password', 'pw', NULL),
(326, 12, 50, 'reward', 'verguetung', NULL),
(327, 12, 50, 'reload', 'reload', NULL),
(328, 12, 50, 'remain', 'uebrig', NULL),
(329, 12, 50, 'type', 'typ', 'klick'),
(330, 12, 50, 'size', 'size', NULL),
(331, 12, 51, 'id', 'id', NULL),
(332, 12, 51, 'sid', 'sid', NULL),
(333, 12, 51, 'password', 'pw', NULL),
(334, 12, 51, 'reward', 'verguetung', NULL),
(335, 12, 51, 'reload', 'reload', NULL),
(336, 12, 51, 'remain', 'uebrig', NULL),
(337, 12, 51, 'type', 'typ', 'view'),
(338, 12, 51, 'size', 'size', NULL),
(339, 12, 52, 'id', 'id', NULL),
(340, 12, 52, 'sid', 'sid', NULL),
(341, 12, 52, 'password', 'pw', NULL),
(342, 12, 52, 'reward', 'verguetung', NULL),
(343, 12, 52, 'reload', 'reload', NULL),
(344, 12, 52, 'remain', 'uebrig', NULL),
(345, 12, 52, 'type', 'typ', 'klick'),
(346, 12, 53, 'id', 'id', NULL),
(347, 12, 53, 'sid', 'sid', NULL),
(348, 12, 53, 'password', 'pw', NULL),
(349, 12, 53, 'reward', 'verguetung', NULL),
(350, 12, 53, 'reload', 'reload', NULL),
(351, 12, 53, 'remain', 'uebrig', NULL),
(352, 12, 53, 'type', 'typ', 'view'),
(353, 12, 54, 'id', 'id', NULL),
(354, 12, 54, 'sid', 'sid', NULL),
(355, 12, 54, 'password', 'pw', NULL),
(356, 12, 54, 'reward', 'verguetung', NULL),
(357, 12, 54, 'reload', 'reload', NULL),
(358, 12, 54, 'remain', 'uebrig', NULL),
(359, 12, 54, 'size', 'size', NULL),
(360, 12, 54, 'minimum_stay', 'ma', NULL),
(361, 12, 55, 'id', 'id', NULL),
(362, 12, 55, 'sid', 'sid', NULL),
(363, 12, 55, 'password', 'pw', NULL),
(364, 12, 55, 'reward', 'verguetung', NULL),
(365, 12, 55, 'reload', 'reload', NULL),
(366, 12, 55, 'remain', 'uebrig', NULL),
(367, 12, 55, 'minimum_stay', 'ma', NULL),
(368, 12, 55, 'type', 'typ', 'text'),
(369, 12, 56, 'id', 'id', NULL),
(370, 12, 56, 'sid', 'sid', NULL),
(371, 12, 56, 'password', 'pw', NULL),
(372, 12, 56, 'reward', 'verguetung', NULL),
(373, 12, 56, 'reload', 'reload', NULL),
(374, 12, 56, 'remain', 'uebrig', NULL),
(375, 12, 56, 'minimum_stay', 'ma', NULL),
(376, 12, 56, 'type', 'typ', 'html'),
(377, 12, 57, 'id', 'id', NULL),
(378, 12, 57, 'sid', 'sid', NULL),
(379, 12, 57, 'password', 'pw', NULL),
(380, 12, 57, 'reward', 'verguetung', NULL),
(381, 12, 57, 'reload', 'reload', NULL),
(382, 12, 57, 'remain', 'uebrig', NULL),
(383, 12, 57, 'type', 'typ', 'klick'),
(384, 12, 58, 'id', 'id', NULL),
(385, 12, 58, 'sid', 'sid', NULL),
(386, 12, 58, 'password', 'pw', NULL),
(387, 12, 58, 'reward', 'verguetung', NULL),
(388, 12, 58, 'reload', 'reload', NULL),
(389, 12, 58, 'remain', 'uebrig', NULL),
(390, 12, 58, 'type', 'typ', 'view'),
(391, 12, 59, 'id', 'id', NULL),
(392, 12, 59, 'sid', 'sid', NULL),
(393, 12, 59, 'password', 'pw', NULL),
(394, 12, 59, 'reward', 'verguetung', NULL),
(395, 12, 59, 'reload', 'reload', NULL),
(396, 12, 59, 'remain', 'uebrig', NULL),
(397, 12, 59, 'minimum_stay', 'ma', NULL),
(398, 12, 60, 'id', 'id', NULL),
(399, 12, 60, 'sid', 'sid', NULL),
(400, 12, 60, 'password', 'pw', NULL),
(401, 12, 60, 'reward', 'verguetung', NULL),
(402, 12, 60, 'reload', 'reload', NULL),
(403, 12, 60, 'remain', 'uebrig', NULL),
(404, 12, 60, 'minimum_stay', 'ma', NULL),
(405, 12, 61, 'id', 'id', NULL),
(406, 12, 61, 'sid', 'sid', NULL),
(407, 12, 61, 'password', 'pw', NULL),
(408, 12, 61, 'reward', 'verguetung', NULL),
(409, 12, 61, 'remain', 'uebrig', NULL),
(410, 12, 62, 'id', 'id', NULL),
(411, 12, 62, 'sid', 'sid', NULL),
(412, 12, 62, 'password', 'pw', NULL),
(413, 12, 62, 'reward', 'verguetung', NULL),
(414, 12, 62, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - Fusion-Ads

		// Request parameters per type handler - GigapPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(687, 14, 102, 'id', 'id', NULL),
(688, 14, 102, 'sid', 'aid', NULL),
(689, 14, 102, 'password', 'pw', NULL),
(690, 14, 102, 'reload', 'reload', NULL),
(691, 14, 102, 'reward', 'verguetung', NULL),
(692, 14, 102, 'remain', 'uebrig', NULL),
(693, 14, 102, 'size', 'typ', NULL),
(694, 14, 103, 'id', 'id', NULL),
(695, 14, 103, 'sid', 'aid', NULL),
(696, 14, 103, 'password', 'pw', NULL),
(697, 14, 103, 'reload', 'reload', NULL),
(698, 14, 103, 'reward', 'verguetung', NULL),
(699, 14, 103, 'remain', 'uebrig', NULL),
(700, 14, 104, 'id', 'id', NULL),
(701, 14, 104, 'sid', 'aid', NULL),
(702, 14, 104, 'password', 'pw', NULL),
(703, 14, 104, 'reload', 'reload', NULL),
(704, 14, 104, 'reward', 'verguetung', NULL),
(705, 14, 104, 'remain', 'uebrig', NULL),
(706, 14, 104, 'max_stay', 'ma', NULL),
(707, 14, 105, 'id', 'id', NULL),
(708, 14, 105, 'sid', 'aid', NULL),
(709, 14, 105, 'password', 'pw', NULL),
(710, 14, 105, 'reload', 'reload', NULL),
(711, 14, 105, 'reward', 'verguetung', NULL),
(712, 14, 105, 'remain', 'uebrig', NULL),
(713, 14, 105, 'max_stay', 'ma', NULL),
(714, 14, 106, 'id', 'id', NULL),
(715, 14, 106, 'sid', 'aid', NULL),
(716, 14, 106, 'password', 'pw', NULL),
(717, 14, 106, 'reload', 'reload', NULL),
(718, 14, 106, 'reward', 'verguetung', NULL),
(719, 14, 106, 'remain', 'uebrig', NULL),
(720, 14, 106, 'max_stay', 'ma', NULL),
(721, 14, 107, 'id', 'id', NULL),
(722, 14, 107, 'sid', 'aid', NULL),
(723, 14, 107, 'password', 'pw', NULL),
(724, 14, 107, 'reload', 'reload', NULL),
(725, 14, 107, 'reward', 'verguetung', NULL),
(726, 14, 107, 'remain', 'uebrig', NULL),
(727, 14, 107, 'max_stay', 'ma', NULL),
(728, 14, 108, 'id', 'id', NULL),
(729, 14, 108, 'sid', 'aid', NULL),
(730, 14, 108, 'password', 'pw', NULL),
(731, 14, 108, 'reload', 'reload', NULL),
(732, 14, 108, 'reward', 'verguetung', NULL),
(733, 14, 108, 'remain', 'uebrig', NULL),
(734, 14, 108, 'max_stay', 'ma', NULL)");

		// Request parameters per type handler - HPSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(889, 15, 135, 'extra', 'typ', 'forcedbanner'),
(890, 15, 135, 'id', 'id', NULL),
(891, 15, 135, 'password', 'pw', NULL),
(892, 15, 135, 'remain', 'uebrig', NULL),
(893, 15, 135, 'reload', 'reload', NULL),
(894, 15, 135, 'reward', 'verguetung', NULL),
(895, 15, 136, 'extra', 'typ', 'forcedtextlink'),
(896, 15, 136, 'id', 'id', NULL),
(897, 15, 136, 'password', 'pw', NULL),
(898, 15, 136, 'remain', 'uebrig', NULL),
(899, 15, 136, 'reload', 'reload', NULL),
(900, 15, 136, 'reward', 'verguetung', NULL),
(901, 15, 137, 'extra', 'typ', 'bannerview'),
(902, 15, 137, 'id', 'id', NULL),
(903, 15, 137, 'password', 'pw', NULL),
(904, 15, 137, 'remain', 'uebrig', NULL),
(905, 15, 137, 'reload', 'reload', NULL),
(906, 15, 137, 'reward', 'verguetung', NULL),
(907, 15, 138, 'extra', 'typ', 'bannerklick'),
(908, 15, 138, 'id', 'id', NULL),
(909, 15, 138, 'password', 'pw', NULL),
(910, 15, 138, 'remain', 'uebrig', NULL),
(911, 15, 138, 'reload', 'reload', NULL),
(912, 15, 138, 'reward', 'verguetung', NULL),
(913, 15, 139, 'extra', 'typ', 'skybannerview'),
(914, 15, 139, 'id', 'id', NULL),
(915, 15, 139, 'password', 'pw', NULL),
(916, 15, 139, 'remain', 'uebrig', NULL),
(917, 15, 139, 'reload', 'reload', NULL),
(918, 15, 139, 'reward', 'verguetung', NULL),
(919, 15, 140, 'extra', 'typ', 'buttonview'),
(920, 15, 140, 'id', 'id', NULL),
(921, 15, 140, 'password', 'pw', NULL),
(922, 15, 140, 'remain', 'uebrig', NULL),
(923, 15, 140, 'reload', 'reload', NULL),
(924, 15, 140, 'reward', 'verguetung', NULL),
(925, 15, 141, 'extra', 'typ', 'textview'),
(926, 15, 141, 'id', 'id', NULL),
(927, 15, 141, 'password', 'pw', NULL),
(928, 15, 141, 'remain', 'uebrig', NULL),
(929, 15, 141, 'reload', 'reload', NULL),
(930, 15, 141, 'reward', 'verguetung', NULL),
(931, 15, 142, 'extra', 'typ', 'traffic'),
(932, 15, 142, 'id', 'id', NULL),
(933, 15, 142, 'password', 'pw', NULL),
(934, 15, 142, 'remain', 'uebrig', NULL),
(935, 15, 142, 'reload', 'reload', NULL),
(936, 15, 142, 'reward', 'verguetung', NULL),
(937, 15, 143, 'extra', 'typ', 'popup'),
(938, 15, 143, 'id', 'id', NULL),
(939, 15, 143, 'password', 'pw', NULL),
(940, 15, 143, 'remain', 'uebrig', NULL),
(941, 15, 143, 'reload', 'reload', NULL),
(942, 15, 143, 'reward', 'verguetung', NULL),
(943, 15, 143, 'minimum_stay', 'ma', NULL),
(944, 15, 144, 'extra', 'typ', 'paidmail'),
(945, 15, 144, 'id', 'id', NULL),
(946, 15, 144, 'password', 'pw', NULL),
(947, 15, 144, 'remain', 'uebrig', NULL),
(948, 15, 144, 'reload', 'reload', NULL),
(949, 15, 144, 'reward', 'verguetung', NULL),
(950, 15, 144, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(415, 16, 63, 'id', 'id', NULL),
(416, 16, 63, 'sid', 'sid', NULL),
(417, 16, 63, 'password', 'pw', NULL),
(418, 16, 63, 'reward', 'verguetung', NULL),
(419, 16, 63, 'reload', 'reload', NULL),
(420, 16, 63, 'remain', 'uebrig', NULL),
(421, 16, 63, 'type', 'typ', 'klick'),
(422, 16, 63, 'size', 'size', NULL),
(423, 16, 64, 'id', 'id', NULL),
(424, 16, 64, 'sid', 'sid', NULL),
(425, 16, 64, 'password', 'pw', NULL),
(426, 16, 64, 'reward', 'verguetung', NULL),
(427, 16, 64, 'reload', 'reload', NULL),
(428, 16, 64, 'remain', 'uebrig', NULL),
(429, 16, 64, 'type', 'typ', 'view'),
(430, 16, 64, 'size', 'size', NULL),
(431, 16, 65, 'id', 'id', NULL),
(432, 16, 65, 'sid', 'sid', NULL),
(433, 16, 65, 'password', 'pw', NULL),
(434, 16, 65, 'reward', 'verguetung', NULL),
(435, 16, 65, 'reload', 'reload', NULL),
(436, 16, 65, 'remain', 'uebrig', NULL),
(437, 16, 65, 'type', 'typ', 'klick'),
(438, 16, 66, 'id', 'id', NULL),
(439, 16, 66, 'sid', 'sid', NULL),
(440, 16, 66, 'password', 'pw', NULL),
(441, 16, 66, 'reward', 'verguetung', NULL),
(442, 16, 66, 'reload', 'reload', NULL),
(443, 16, 66, 'remain', 'uebrig', NULL),
(444, 16, 66, 'type', 'typ', 'view'),
(445, 16, 67, 'id', 'id', NULL),
(446, 16, 67, 'sid', 'sid', NULL),
(447, 16, 67, 'password', 'pw', NULL),
(448, 16, 67, 'reward', 'verguetung', NULL),
(449, 16, 67, 'reload', 'reload', NULL),
(450, 16, 67, 'remain', 'uebrig', NULL),
(451, 16, 67, 'type', 'typ', 'klick'),
(452, 16, 67, 'size', 'size', NULL),
(453, 16, 69, 'id', 'id', NULL),
(454, 16, 69, 'sid', 'sid', NULL),
(455, 16, 69, 'password', 'pw', NULL),
(456, 16, 69, 'reward', 'verguetung', NULL),
(457, 16, 69, 'reload', 'reload', NULL),
(458, 16, 69, 'remain', 'uebrig', NULL),
(459, 16, 69, 'type', 'typ', 'view'),
(460, 16, 69, 'size', 'size', NULL),
(461, 16, 68, 'id', 'id', NULL),
(462, 16, 68, 'sid', 'sid', NULL),
(463, 16, 68, 'password', 'pw', NULL),
(464, 16, 68, 'reward', 'verguetung', NULL),
(465, 16, 68, 'reload', 'reload', NULL),
(466, 16, 68, 'remain', 'uebrig', NULL),
(467, 16, 68, 'size', 'size', NULL),
(468, 16, 68, 'minimum_stay', 'ma', NULL),
(469, 16, 70, 'id', 'id', NULL),
(470, 16, 70, 'sid', 'sid', NULL),
(471, 16, 70, 'password', 'pw', NULL),
(472, 16, 70, 'reward', 'verguetung', NULL),
(473, 16, 70, 'reload', 'reload', NULL),
(474, 16, 70, 'remain', 'uebrig', NULL),
(475, 16, 70, 'minimum_stay', 'ma', NULL),
(476, 16, 70, 'type', 'typ', 'text'),
(477, 16, 71, 'id', 'id', NULL),
(478, 16, 71, 'sid', 'sid', NULL),
(479, 16, 71, 'password', 'pw', NULL),
(480, 16, 71, 'reward', 'verguetung', NULL),
(481, 16, 71, 'reload', 'reload', NULL),
(482, 16, 71, 'remain', 'uebrig', NULL),
(483, 16, 71, 'minimum_stay', 'ma', NULL),
(484, 16, 71, 'type', 'typ', 'html'),
(485, 16, 72, 'id', 'id', NULL),
(486, 16, 72, 'sid', 'sid', NULL),
(487, 16, 72, 'password', 'pw', NULL),
(488, 16, 72, 'reward', 'verguetung', NULL),
(489, 16, 72, 'reload', 'reload', NULL),
(490, 16, 72, 'remain', 'uebrig', NULL),
(491, 16, 72, 'type', 'typ', 'klick'),
(492, 16, 73, 'id', 'id', NULL),
(493, 16, 73, 'sid', 'sid', NULL),
(494, 16, 73, 'password', 'pw', NULL),
(495, 16, 73, 'reward', 'verguetung', NULL),
(496, 16, 73, 'reload', 'reload', NULL),
(497, 16, 73, 'remain', 'uebrig', NULL),
(498, 16, 73, 'type', 'typ', 'view'),
(499, 16, 74, 'id', 'id', NULL),
(500, 16, 74, 'sid', 'sid', NULL),
(501, 16, 74, 'password', 'pw', NULL),
(502, 16, 74, 'reward', 'verguetung', NULL),
(503, 16, 74, 'reload', 'reload', NULL),
(504, 16, 74, 'remain', 'uebrig', NULL),
(505, 16, 74, 'minimum_stay', 'ma', NULL),
(506, 16, 75, 'id', 'id', NULL),
(507, 16, 75, 'sid', 'sid', NULL),
(508, 16, 75, 'password', 'pw', NULL),
(509, 16, 75, 'reward', 'verguetung', NULL),
(510, 16, 75, 'reload', 'reload', NULL),
(511, 16, 75, 'remain', 'uebrig', NULL),
(512, 16, 75, 'minimum_stay', 'ma', NULL),
(513, 16, 76, 'id', 'id', NULL),
(514, 16, 76, 'sid', 'sid', NULL),
(515, 16, 76, 'password', 'pw', NULL),
(516, 16, 76, 'reward', 'verguetung', NULL),
(517, 16, 76, 'remain', 'uebrig', NULL),
(518, 16, 77, 'id', 'id', NULL),
(519, 16, 77, 'sid', 'sid', NULL),
(520, 16, 77, 'password', 'pw', NULL),
(521, 16, 77, 'reward', 'verguetung', NULL),
(522, 16, 77, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(735, 17, 109, 'extra', 'typ', 'forcedbanner'),
(736, 17, 109, 'id', 'id', NULL),
(737, 17, 109, 'password', 'pw', NULL),
(738, 17, 109, 'remain', 'uebrig', NULL),
(739, 17, 109, 'reload', 'reload', NULL),
(740, 17, 109, 'reward', 'verguetung', NULL),
(741, 17, 110, 'extra', 'typ', 'forcedtextlink'),
(742, 17, 110, 'id', 'id', NULL),
(743, 17, 110, 'password', 'pw', NULL),
(744, 17, 110, 'remain', 'uebrig', NULL),
(745, 17, 110, 'reload', 'reload', NULL),
(746, 17, 110, 'reward', 'verguetung', NULL),
(747, 17, 111, 'extra', 'typ', 'bannerview'),
(748, 17, 111, 'id', 'id', NULL),
(749, 17, 111, 'password', 'pw', NULL),
(750, 17, 111, 'remain', 'uebrig', NULL),
(751, 17, 111, 'reload', 'reload', NULL),
(752, 17, 111, 'reward', 'verguetung', NULL),
(753, 17, 112, 'extra', 'typ', 'bannerklick'),
(754, 17, 112, 'id', 'id', NULL),
(755, 17, 112, 'password', 'pw', NULL),
(756, 17, 112, 'remain', 'uebrig', NULL),
(757, 17, 112, 'reload', 'reload', NULL),
(758, 17, 112, 'reward', 'verguetung', NULL),
(759, 17, 113, 'extra', 'typ', 'skybannerview'),
(760, 17, 113, 'id', 'id', NULL),
(761, 17, 113, 'password', 'pw', NULL),
(762, 17, 113, 'remain', 'uebrig', NULL),
(763, 17, 113, 'reload', 'reload', NULL),
(764, 17, 113, 'reward', 'verguetung', NULL),
(765, 17, 114, 'extra', 'typ', 'buttonview'),
(766, 17, 114, 'id', 'id', NULL),
(767, 17, 114, 'password', 'pw', NULL),
(768, 17, 114, 'remain', 'uebrig', NULL),
(769, 17, 114, 'reload', 'reload', NULL),
(770, 17, 114, 'reward', 'verguetung', NULL),
(771, 17, 115, 'extra', 'typ', 'textview'),
(772, 17, 115, 'id', 'id', NULL),
(773, 17, 115, 'password', 'pw', NULL),
(774, 17, 115, 'remain', 'uebrig', NULL),
(775, 17, 115, 'reload', 'reload', NULL),
(776, 17, 115, 'reward', 'verguetung', NULL),
(777, 17, 116, 'extra', 'typ', 'popup'),
(778, 17, 116, 'id', 'id', NULL),
(779, 17, 116, 'password', 'pw', NULL),
(780, 17, 116, 'reload', 'reload', NULL),
(781, 17, 116, 'remain', 'uebrig', NULL),
(782, 17, 116, 'reward', 'verguetung', NULL),
(783, 17, 117, 'extra', 'typ', 'paidmail'),
(784, 17, 117, 'id', 'id', NULL),
(785, 17, 117, 'password', 'pw', NULL),
(786, 17, 117, 'reload', 'reload', NULL),
(787, 17, 117, 'remain', 'uebrig', NULL),
(788, 17, 117, 'reward', 'verguetung', NULL),
(815, 17, 123, 'extra', 'typ', 'traffic'),
(816, 17, 123, 'id', 'id', NULL),
(817, 17, 123, 'password', 'pw', NULL),
(818, 17, 123, 'remain', 'uebrig', NULL),
(819, 17, 123, 'reload', 'reload', NULL),
(820, 17, 123, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(523, 18, 78, 'id', 'id', NULL),
(524, 18, 78, 'sid', 'sid', NULL),
(525, 18, 78, 'password', 'pw', NULL),
(526, 18, 78, 'reward', 'verguetung', NULL),
(527, 18, 78, 'reload', 'reload', NULL),
(528, 18, 78, 'remain', 'uebrig', NULL),
(529, 18, 78, 'type', 'typ', 'klick'),
(530, 18, 78, 'size', 'size', NULL),
(531, 18, 79, 'id', 'id', NULL),
(532, 18, 79, 'sid', 'sid', NULL),
(533, 18, 79, 'password', 'pw', NULL),
(534, 18, 79, 'reward', 'verguetung', NULL),
(535, 18, 79, 'reload', 'reload', NULL),
(536, 18, 79, 'remain', 'uebrig', NULL),
(537, 18, 79, 'type', 'typ', 'view'),
(538, 18, 79, 'size', 'size', NULL),
(539, 18, 80, 'id', 'id', NULL),
(540, 18, 80, 'sid', 'sid', NULL),
(541, 18, 80, 'password', 'pw', NULL),
(542, 18, 80, 'reward', 'verguetung', NULL),
(543, 18, 80, 'reload', 'reload', NULL),
(544, 18, 80, 'remain', 'uebrig', NULL),
(545, 18, 80, 'type', 'typ', 'klick'),
(546, 18, 81, 'id', 'id', NULL),
(547, 18, 81, 'sid', 'sid', NULL),
(548, 18, 81, 'password', 'pw', NULL),
(549, 18, 81, 'reward', 'verguetung', NULL),
(550, 18, 81, 'reload', 'reload', NULL),
(551, 18, 81, 'remain', 'uebrig', NULL),
(552, 18, 81, 'type', 'typ', 'view'),
(553, 18, 82, 'id', 'id', NULL),
(554, 18, 82, 'sid', 'sid', NULL),
(555, 18, 82, 'password', 'pw', NULL),
(556, 18, 82, 'reward', 'verguetung', NULL),
(557, 18, 82, 'reload', 'reload', NULL),
(558, 18, 82, 'remain', 'uebrig', NULL),
(559, 18, 82, 'type', 'typ', 'klick'),
(560, 18, 82, 'size', 'size', NULL),
(561, 18, 83, 'id', 'id', NULL),
(562, 18, 83, 'sid', 'sid', NULL),
(563, 18, 83, 'password', 'pw', NULL),
(564, 18, 83, 'reward', 'verguetung', NULL),
(565, 18, 83, 'reload', 'reload', NULL),
(566, 18, 83, 'remain', 'uebrig', NULL),
(567, 18, 83, 'type', 'typ', 'view'),
(568, 18, 83, 'size', 'size', NULL),
(569, 18, 84, 'id', 'id', NULL),
(570, 18, 84, 'sid', 'sid', NULL),
(571, 18, 84, 'password', 'pw', NULL),
(572, 18, 84, 'reward', 'verguetung', NULL),
(573, 18, 84, 'reload', 'reload', NULL),
(574, 18, 84, 'remain', 'uebrig', NULL),
(575, 18, 84, 'size', 'size', NULL),
(576, 18, 84, 'minimum_stay', 'ma', NULL),
(577, 18, 85, 'id', 'id', NULL),
(578, 18, 85, 'sid', 'sid', NULL),
(579, 18, 85, 'password', 'pw', NULL),
(580, 18, 85, 'reward', 'verguetung', NULL),
(581, 18, 85, 'reload', 'reload', NULL),
(582, 18, 85, 'remain', 'uebrig', NULL),
(583, 18, 85, 'minimum_stay', 'ma', NULL),
(584, 18, 85, 'type', 'typ', 'text'),
(585, 18, 86, 'id', 'id', NULL),
(586, 18, 86, 'sid', 'sid', NULL),
(587, 18, 86, 'password', 'pw', NULL),
(588, 18, 86, 'reward', 'verguetung', NULL),
(589, 18, 86, 'reload', 'reload', NULL),
(590, 18, 86, 'remain', 'uebrig', NULL),
(591, 18, 86, 'minimum_stay', 'ma', NULL),
(592, 18, 86, 'type', 'typ', 'html'),
(593, 18, 87, 'id', 'id', NULL),
(594, 18, 87, 'sid', 'sid', NULL),
(595, 18, 87, 'password', 'pw', NULL),
(596, 18, 87, 'reward', 'verguetung', NULL),
(597, 18, 87, 'reload', 'reload', NULL),
(598, 18, 87, 'remain', 'uebrig', NULL),
(599, 18, 87, 'type', 'typ', 'klick'),
(600, 18, 88, 'id', 'id', NULL),
(601, 18, 88, 'sid', 'sid', NULL),
(602, 18, 88, 'password', 'pw', NULL),
(603, 18, 88, 'reward', 'verguetung', NULL),
(604, 18, 88, 'reload', 'reload', NULL),
(605, 18, 88, 'remain', 'uebrig', NULL),
(606, 18, 88, 'type', 'typ', 'view'),
(607, 18, 89, 'id', 'id', NULL),
(608, 18, 89, 'sid', 'sid', NULL),
(609, 18, 89, 'password', 'pw', NULL),
(610, 18, 89, 'reward', 'verguetung', NULL),
(611, 18, 89, 'reload', 'reload', NULL),
(612, 18, 89, 'remain', 'uebrig', NULL),
(613, 18, 89, 'minimum_stay', 'ma', NULL),
(614, 18, 90, 'id', 'id', NULL),
(615, 18, 90, 'sid', 'sid', NULL),
(616, 18, 90, 'password', 'pw', NULL),
(617, 18, 90, 'reward', 'verguetung', NULL),
(618, 18, 90, 'reload', 'reload', NULL),
(619, 18, 90, 'remain', 'uebrig', NULL),
(620, 18, 90, 'minimum_stay', 'ma', NULL),
(621, 18, 91, 'id', 'id', NULL),
(622, 18, 91, 'sid', 'sid', NULL),
(623, 18, 91, 'password', 'pw', NULL),
(624, 18, 91, 'reward', 'verguetung', NULL),
(625, 18, 91, 'remain', 'uebrig', NULL),
(626, 18, 92, 'id', 'id', NULL),
(627, 18, 92, 'sid', 'sid', NULL),
(628, 18, 92, 'password', 'pw', NULL),
(629, 18, 92, 'reward', 'verguetung', NULL),
(630, 18, 92, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(631, 19, 93, 'extra', 'typ', 'forcedbanner'),
(632, 19, 93, 'id', 'id', NULL),
(633, 19, 93, 'password', 'pw', NULL),
(634, 19, 93, 'reward', 'verguetung', NULL),
(635, 19, 93, 'reload', 'reload', NULL),
(636, 19, 93, 'remain', 'uebrig', NULL),
(637, 19, 94, 'extra', 'typ', 'forcedtextlink'),
(638, 19, 94, 'id', 'id', NULL),
(639, 19, 94, 'password', 'pw', NULL),
(640, 19, 94, 'reward', 'verguetung', NULL),
(641, 19, 94, 'reload', 'reload', NULL),
(642, 19, 94, 'remain', 'uebrig', NULL),
(643, 19, 95, 'extra', 'typ', 'bannerview'),
(644, 19, 95, 'id', 'id', NULL),
(645, 19, 95, 'password', 'pw', NULL),
(646, 19, 95, 'reward', 'verguetung', NULL),
(647, 19, 95, 'reload', 'reload', NULL),
(648, 19, 95, 'remain', 'uebrig', NULL),
(649, 19, 96, 'extra', 'typ', 'bannerklick'),
(650, 19, 96, 'id', 'id', NULL),
(651, 19, 96, 'password', 'pw', NULL),
(652, 19, 96, 'reward', 'verguetung', NULL),
(653, 19, 96, 'reload', 'reload', NULL),
(654, 19, 96, 'remain', 'uebrig', NULL),
(655, 19, 97, 'extra', 'typ', 'skybannerview'),
(656, 19, 97, 'id', 'id', NULL),
(657, 19, 97, 'password', 'pw', NULL),
(658, 19, 97, 'reward', 'verguetung', NULL),
(659, 19, 97, 'reload', 'reload', NULL),
(660, 19, 97, 'remain', 'uebrig', NULL),
(661, 19, 98, 'extra', 'typ', 'buttonview'),
(662, 19, 98, 'id', 'id', NULL),
(663, 19, 98, 'password', 'pw', NULL),
(664, 19, 98, 'reward', 'verguetung', NULL),
(665, 19, 98, 'reload', 'reload', NULL),
(666, 19, 98, 'remain', 'uebrig', NULL),
(667, 19, 99, 'extra', 'typ', 'textview'),
(668, 19, 99, 'id', 'id', NULL),
(669, 19, 99, 'password', 'pw', NULL),
(670, 19, 99, 'reward', 'verguetung', NULL),
(671, 19, 99, 'reload', 'reload', NULL),
(672, 19, 99, 'remain', 'uebrig', NULL),
(673, 19, 100, 'extra', 'typ', 'popup'),
(674, 19, 100, 'id', 'id', NULL),
(675, 19, 100, 'password', 'pw', NULL),
(676, 19, 100, 'reward', 'verguetung', NULL),
(677, 19, 100, 'reload', 'reload', NULL),
(678, 19, 100, 'remain', 'uebrig', NULL),
(679, 19, 100, 'minimum_stay', 'ma', NULL),
(680, 19, 101, 'extra', 'typ', 'paidmail'),
(681, 19, 101, 'id', 'id', NULL),
(682, 19, 101, 'password', 'pw', NULL),
(683, 19, 101, 'reward', 'verguetung', NULL),
(684, 19, 101, 'reload', 'reload', NULL),
(685, 19, 101, 'remain', 'uebrig', NULL),
(686, 19, 101, 'minimum_stay', 'ma', NULL),
(821, 19, 124, 'extra', 'typ', 'traffic'),
(822, 19, 124, 'id', 'id', NULL),
(823, 19, 124, 'password', 'pw', NULL),
(824, 19, 124, 'remain', 'uebrig', NULL),
(825, 19, 124, 'reload', 'reload', NULL),
(826, 19, 124, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Swizerland
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1446, 20, 202, 'extra', 'typ', 'forcedbanner'),
(1447, 20, 202, 'id', 'id', NULL),
(1448, 20, 202, 'password', 'pw', NULL),
(1449, 20, 202, 'remain', 'uebrig', NULL),
(1450, 20, 202, 'reload', 'reload', NULL),
(1451, 20, 202, 'reward', 'verguetung', NULL),
(1452, 20, 203, 'extra', 'typ', 'forcedtextlink'),
(1453, 20, 203, 'id', 'id', NULL),
(1454, 20, 203, 'password', 'pw', NULL),
(1455, 20, 203, 'remain', 'uebrig', NULL),
(1456, 20, 203, 'reload', 'reload', NULL),
(1457, 20, 203, 'reward', 'verguetung', NULL),
(1458, 20, 204, 'extra', 'typ', 'bannerview'),
(1459, 20, 204, 'id', 'id', NULL),
(1460, 20, 204, 'password', 'pw', NULL),
(1461, 20, 204, 'remain', 'uebrig', NULL),
(1462, 20, 204, 'reload', 'reload', NULL),
(1463, 20, 204, 'reward', 'verguetung', NULL),
(1464, 20, 205, 'extra', 'typ', 'bannerklick'),
(1465, 20, 205, 'id', 'id', NULL),
(1466, 20, 205, 'password', 'pw', NULL),
(1467, 20, 205, 'remain', 'uebrig', NULL),
(1468, 20, 205, 'reload', 'reload', NULL),
(1469, 20, 205, 'reward', 'verguetung', NULL),
(1470, 20, 206, 'extra', 'typ', 'skybannerview'),
(1471, 20, 206, 'id', 'id', NULL),
(1472, 20, 206, 'password', 'pw', NULL),
(1473, 20, 206, 'remain', 'uebrig', NULL),
(1474, 20, 206, 'reload', 'reload', NULL),
(1475, 20, 206, 'reward', 'verguetung', NULL),
(1476, 20, 207, 'extra', 'typ', 'buttonview'),
(1477, 20, 207, 'id', 'id', NULL),
(1478, 20, 207, 'password', 'pw', NULL),
(1479, 20, 207, 'remain', 'uebrig', NULL),
(1480, 20, 207, 'reload', 'reload', NULL),
(1481, 20, 207, 'reward', 'verguetung', NULL),
(1482, 20, 208, 'extra', 'typ', 'textview'),
(1483, 20, 208, 'id', 'id', NULL),
(1484, 20, 208, 'password', 'pw', NULL),
(1485, 20, 208, 'remain', 'uebrig', NULL),
(1486, 20, 208, 'reload', 'reload', NULL),
(1487, 20, 208, 'reward', 'verguetung', NULL),
(1488, 20, 209, 'extra', 'typ', 'traffic'),
(1489, 20, 209, 'id', 'id', NULL),
(1490, 20, 209, 'password', 'pw', NULL),
(1491, 20, 209, 'remain', 'uebrig', NULL),
(1492, 20, 209, 'reload', 'reload', NULL),
(1493, 20, 209, 'reward', 'verguetung', NULL),
(1494, 20, 210, 'extra', 'typ', 'popup'),
(1495, 20, 210, 'id', 'id', NULL),
(1496, 20, 210, 'password', 'pw', NULL),
(1497, 20, 210, 'remain', 'uebrig', NULL),
(1498, 20, 210, 'reload', 'reload', NULL),
(1499, 20, 210, 'reward', 'verguetung', NULL),
(1500, 20, 210, 'minimum_stay', 'ma', NULL),
(1501, 20, 211, 'extra', 'typ', 'paidmail'),
(1502, 20, 211, 'id', 'id', NULL),
(1503, 20, 211, 'password', 'pw', NULL),
(1504, 20, 211, 'remain', 'uebrig', NULL),
(1505, 20, 211, 'reload', 'reload', NULL),
(1506, 20, 211, 'reward', 'verguetung', NULL),
(1507, 20, 211, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - UltraPROMO
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(827, 21, 128, 'extra', 'typ', 'forcedbanner'),
(828, 21, 128, 'id', 'id', NULL),
(829, 21, 128, 'password', 'pw', NULL),
(830, 21, 128, 'remain', 'uebrig', NULL),
(831, 21, 128, 'reload', 'reload', NULL),
(832, 21, 128, 'reward', 'verguetung', NULL),
(833, 21, 129, 'extra', 'typ', 'forcedtextlink'),
(834, 21, 129, 'id', 'id', NULL),
(835, 21, 129, 'password', 'pw', NULL),
(836, 21, 129, 'remain', 'uebrig', NULL),
(837, 21, 129, 'reload', 'reload', NULL),
(838, 21, 129, 'reward', 'verguetung', NULL),
(839, 21, 126, 'extra', 'typ', 'bannerview'),
(840, 21, 126, 'id', 'id', NULL),
(841, 21, 126, 'password', 'pw', NULL),
(842, 21, 126, 'remain', 'uebrig', NULL),
(843, 21, 126, 'reload', 'reload', NULL),
(844, 21, 126, 'reward', 'verguetung', NULL),
(845, 21, 125, 'extra', 'typ', 'bannerklick'),
(846, 21, 125, 'id', 'id', NULL),
(847, 21, 125, 'password', 'pw', NULL),
(848, 21, 125, 'remain', 'uebrig', NULL),
(849, 21, 125, 'reload', 'reload', NULL),
(850, 21, 125, 'reward', 'verguetung', NULL),
(851, 21, 131, 'extra', 'typ', 'skybannerview'),
(852, 21, 131, 'id', 'id', NULL),
(853, 21, 131, 'password', 'pw', NULL),
(854, 21, 131, 'remain', 'uebrig', NULL),
(855, 21, 131, 'reload', 'reload', NULL),
(856, 21, 131, 'reward', 'verguetung', NULL),
(857, 21, 127, 'extra', 'typ', 'buttonview'),
(858, 21, 127, 'id', 'id', NULL),
(859, 21, 127, 'password', 'pw', NULL),
(860, 21, 127, 'remain', 'uebrig', NULL),
(861, 21, 127, 'reload', 'reload', NULL),
(862, 21, 127, 'reward', 'verguetung', NULL),
(863, 21, 132, 'extra', 'typ', 'textview'),
(864, 21, 132, 'id', 'id', NULL),
(865, 21, 132, 'password', 'pw', NULL),
(866, 21, 132, 'remain', 'uebrig', NULL),
(867, 21, 132, 'reload', 'reload', NULL),
(868, 21, 132, 'reward', 'verguetung', NULL),
(869, 21, 134, 'extra', 'typ', 'traffic'),
(870, 21, 134, 'id', 'id', NULL),
(871, 21, 134, 'password', 'pw', NULL),
(872, 21, 134, 'remain', 'uebrig', NULL),
(873, 21, 134, 'reload', 'reload', NULL),
(874, 21, 134, 'reward', 'verguetung', NULL),
(875, 21, 130, 'extra', 'typ', 'popup'),
(876, 21, 130, 'id', 'id', NULL),
(877, 21, 130, 'password', 'pw', NULL),
(878, 21, 130, 'remain', 'uebrig', NULL),
(879, 21, 130, 'reload', 'reload', NULL),
(880, 21, 130, 'reward', 'verguetung', NULL),
(881, 21, 130, 'minimum_stay', 'ma', NULL),
(882, 21, 133, 'extra', 'typ', 'paidmail'),
(883, 21, 133, 'id', 'id', NULL),
(884, 21, 133, 'password', 'pw', NULL),
(885, 21, 133, 'remain', 'uebrig', NULL),
(886, 21, 133, 'reload', 'reload', NULL),
(887, 21, 133, 'reward', 'verguetung', NULL),
(888, 21, 133, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Der Werbepartner.cc
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(951, 22, 145, 'extra', 'art', 'Textlinkklick'),
(952, 22, 145, 'reload', 'reload', NULL),
(953, 22, 145, 'reward', 'verg', NULL),
(954, 22, 145, 'remain', 'offen', NULL),
(955, 22, 145, 'sid', 'sid', NULL),
(956, 22, 145, 'id', 'uid', NULL),
(957, 22, 145, 'password', 'pw', NULL),
(958, 22, 146, 'extra', 'art', 'Forcedbanner'),
(959, 22, 146, 'reload', 'reload', NULL),
(960, 22, 146, 'reward', 'verg', NULL),
(961, 22, 146, 'remain', 'offen', NULL),
(962, 22, 146, 'sid', 'sid', NULL),
(963, 22, 146, 'id', 'uid', NULL),
(964, 22, 146, 'password', 'pw', NULL),
(965, 22, 147, 'extra', 'art', 'Paidmail'),
(966, 22, 147, 'reload', 'reload', NULL),
(967, 22, 147, 'reward', 'verg', NULL),
(968, 22, 147, 'remain', 'offen', NULL),
(969, 22, 147, 'sid', 'sid', NULL),
(970, 22, 147, 'id', 'uid', NULL),
(971, 22, 147, 'password', 'pw', NULL),
(972, 22, 148, 'extra', 'art', 'Layer'),
(973, 22, 148, 'reload', 'reload', NULL),
(974, 22, 148, 'reward', 'verg', NULL),
(975, 22, 148, 'remain', 'offen', NULL),
(976, 22, 148, 'sid', 'sid', NULL),
(977, 22, 148, 'id', 'uid', NULL),
(978, 22, 148, 'password', 'pw', NULL),
(979, 22, 149, 'extra', 'art', 'Skybannerklick'),
(980, 22, 149, 'reload', 'reload', NULL),
(981, 22, 149, 'reward', 'verg', NULL),
(982, 22, 149, 'remain', 'offen', NULL),
(983, 22, 149, 'sid', 'sid', NULL),
(984, 22, 149, 'id', 'uid', NULL),
(985, 22, 149, 'password', 'pw', NULL),
(986, 22, 150, 'extra', 'art', 'Surfbarklick'),
(987, 22, 150, 'reload', 'reload', NULL),
(988, 22, 150, 'reward', 'verg', NULL),
(989, 22, 150, 'remain', 'offen', NULL),
(990, 22, 150, 'sid', 'sid', NULL),
(991, 22, 150, 'id', 'uid', NULL),
(992, 22, 150, 'password', 'pw', NULL),
(993, 22, 151, 'extra', 'art', 'Bannerview'),
(994, 22, 151, 'reload', 'reload', NULL),
(995, 22, 151, 'reward', 'verg', NULL),
(996, 22, 151, 'remain', 'offen', NULL),
(997, 22, 151, 'sid', 'sid', NULL),
(998, 22, 151, 'id', 'uid', NULL),
(999, 22, 151, 'password', 'pw', NULL),
(1000, 22, 152, 'extra', 'art', 'PopUp'),
(1001, 22, 152, 'reload', 'reload', NULL),
(1002, 22, 152, 'reward', 'verg', NULL),
(1003, 22, 152, 'remain', 'offen', NULL),
(1004, 22, 152, 'sid', 'sid', NULL),
(1005, 22, 152, 'id', 'uid', NULL),
(1006, 22, 152, 'password', 'pw', NULL),
(1007, 22, 153, 'extra', 'art', 'Bannerklick'),
(1008, 22, 153, 'reload', 'reload', NULL),
(1009, 22, 153, 'reward', 'verg', NULL),
(1010, 22, 153, 'type', 'offen', NULL),
(1011, 22, 153, 'sid', 'sid', NULL),
(1012, 22, 153, 'id', 'uid', NULL),
(1013, 22, 153, 'password', 'pw', NULL),
(1014, 22, 154, 'extra', 'art', 'Forcedtextlink'),
(1015, 22, 154, 'reload', 'reload', NULL),
(1016, 22, 154, 'reward', 'verg', NULL),
(1017, 22, 154, 'remain', 'offen', NULL),
(1018, 22, 154, 'sid', 'sid', NULL),
(1019, 22, 154, 'id', 'uid', NULL),
(1020, 22, 154, 'password', 'pw', NULL),
(1021, 22, 155, 'extra', 'art', 'Traffic'),
(1022, 22, 155, 'reload', 'reload', NULL),
(1023, 22, 155, 'reward', 'verg', NULL),
(1024, 22, 155, 'remain', 'offen', NULL),
(1025, 22, 155, 'sid', 'sid', NULL),
(1026, 22, 155, 'id', 'id', NULL),
(1027, 22, 155, 'password', 'pw', NULL)");

		// Request parameters per type handler - Yoo!Media
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1028, 23, 156, 'id', 'id', NULL),
(1029, 23, 156, 'sid', 'sid', NULL),
(1030, 23, 156, 'password', 'pw', NULL),
(1031, 23, 156, 'reload', 'reload', NULL),
(1032, 23, 156, 'remain', 'uebrig', NULL),
(1033, 23, 156, 'reward', 'verguetung', NULL),
(1034, 23, 156, 'size', 'size', '468x60'),
(1035, 23, 156, 'erotic', 'erotik', NULL),
(1036, 23, 157, 'id', 'id', NULL),
(1037, 23, 157, 'sid', 'sid', NULL),
(1038, 23, 157, 'password', 'pw', NULL),
(1039, 23, 157, 'reload', 'reload', NULL),
(1040, 23, 157, 'reward', 'verguetung', NULL),
(1041, 23, 157, 'erotic', 'erotik', NULL),
(1042, 23, 157, 'remain', 'uebrig', NULL),
(1043, 23, 158, 'id', 'id', NULL),
(1044, 23, 158, 'sid', 'sid', NULL),
(1045, 23, 158, 'password', 'pw', NULL),
(1046, 23, 158, 'reload', 'reload', NULL),
(1047, 23, 158, 'reward', 'verguetung', NULL),
(1048, 23, 158, 'remain', 'uebrig', NULL),
(1049, 23, 158, 'size', 'size', '468x60'),
(1050, 23, 158, 'erotic', 'erotik', NULL),
(1051, 23, 159, 'id', 'id', NULL),
(1052, 23, 159, 'sid', 'sid', NULL),
(1053, 23, 159, 'password', 'pw', NULL),
(1054, 23, 159, 'reload', 'reload', NULL),
(1055, 23, 159, 'minimum_stay', 'ma', NULL),
(1056, 23, 159, 'remain', 'uebrig', NULL),
(1057, 23, 159, 'reward', 'verguetung', NULL),
(1058, 23, 159, 'size', 'size', '468x60'),
(1059, 23, 159, 'erotic', 'erotik', NULL),
(1060, 23, 160, 'id', 'id', NULL),
(1061, 23, 160, 'sid', 'sid', NULL),
(1062, 23, 160, 'password', 'pw', NULL),
(1063, 23, 160, 'reload', 'reload', NULL),
(1064, 23, 160, 'remain', 'uebrig', NULL),
(1065, 23, 160, 'reward', 'verguetung', NULL),
(1066, 23, 160, 'erotic', 'erotik', NULL),
(1067, 23, 161, 'id', 'id', NULL),
(1068, 23, 161, 'sid', 'sid', NULL),
(1069, 23, 161, 'password', 'pw', NULL),
(1070, 23, 161, 'reload', 'reload', NULL),
(1071, 23, 161, 'minimum_stay', 'ma', NULL),
(1072, 23, 161, 'remain', 'uebrig', NULL),
(1073, 23, 161, 'reward', 'verguetung', NULL),
(1074, 23, 161, 'erotic', 'erotik', NULL),
(1075, 23, 162, 'id', 'id', NULL),
(1076, 23, 162, 'sid', 'sid', NULL),
(1077, 23, 162, 'password', 'pw', NULL),
(1078, 23, 162, 'reload', 'reload', NULL),
(1079, 23, 162, 'minimum_stay', 'ma', NULL),
(1080, 23, 162, 'remain', 'uebrig', NULL),
(1081, 23, 162, 'reward', 'verguetung', NULL),
(1082, 23, 162, 'erotic', 'erotik', NULL),
(1083, 23, 163, 'id', 'id', NULL),
(1084, 23, 163, 'sid', 'sid', NULL),
(1085, 23, 163, 'password', 'pw', NULL),
(1086, 23, 163, 'reload', 'reload', NULL),
(1087, 23, 163, 'remain', 'uebrig', NULL),
(1088, 23, 163, 'reward', 'verguetung', NULL),
(1089, 23, 163, 'erotic', 'erotik', NULL),
(1090, 23, 164, 'id', 'id', NULL),
(1091, 23, 164, 'sid', 'sid', NULL),
(1092, 23, 164, 'password', 'pw', NULL),
(1093, 23, 164, 'reload', 'reload', NULL),
(1094, 23, 164, 'minimum_stay', 'ma', NULL),
(1095, 23, 164, 'remain', 'uebrig', NULL),
(1096, 23, 164, 'reward', 'verguetung', NULL),
(1097, 23, 164, 'erotic', 'erotik', NULL),
(1098, 23, 165, 'id', 'id', NULL),
(1099, 23, 165, 'sid', 'sid', NULL),
(1100, 23, 165, 'password', 'pw', NULL),
(1101, 23, 165, 'reload', 'reload', NULL),
(1102, 23, 165, 'minimum_stay', 'ma', NULL),
(1103, 23, 165, 'reward', 'verguetung', NULL),
(1104, 23, 165, 'remain', 'uebrig', NULL),
(1105, 23, 165, 'erotic', 'erotik', NULL),
(1106, 23, 166, 'id', 'id', NULL),
(1107, 23, 166, 'sid', 'sid', NULL),
(1108, 23, 166, 'password', 'pw', NULL),
(1109, 23, 166, 'remain', 'uebrig', NULL),
(1110, 23, 166, 'reward', 'verguetung', NULL),
(1111, 23, 166, 'erotic', 'erotik', NULL)");

		// Fix empty defaults to NULL
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_network_types` SET `network_type_banner_url`=NULL WHERE `network_type_banner_url`=''");
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_network_request_params` SET `request_param_default`=NULL WHERE `request_param_default`=''");

		// Admin menu entries
		addAdminMenuSql('network',NULL,'Werbenetzwerke','Verwalten Sie hier Werbenetzwerke (API-Anbindung), versenden Sie deren Mails, oder &uuml;bernehmen Sie deren Textlinks und vieles mehr. <strong>VORSICHT:</strong> Das Einrichten von weiteren Werbenetzwerken ist nicht leicht, daf&uuml;r aber sehr flexibel! Sollte ein Netzwerk fehlen, so melden Sie dies bitte <a href="http://forum.mxchange.org/topic-462.html" target="_blank" title="Direktlink zum Forum">im Forum</a>!',4);
		addAdminMenuSql('network','config_networks','API-Daten','Stellen Sie Ihre Affiliate- Webseiten-Id und API-Passwort ein. Diese erhalten Sie zu &uuml;ber 99% aus dem jeweiligen Zugangsbereich des Anbieters. Sollten Sie bei einem Netzwerk noch nicht angemeldet sein, verwenden Sie bitte meinen Referal-Link.',1);
		addAdminMenuSql('network','config_network_types','Werbearten','Stellen Sie hier Reload-Zeiten, Mindestauffenthalt und so weiter pro Werbeart und Werbenetzwerk ein. Es werden sonst Standart-Werte (Mimimumwerte: 0, Maximumwerte: sehr gross, Erotik: aus) angenommen, die Sie meistens nicht wollen.',2);
		addAdminMenuSql('network','query_networks','APIs abfragen','Fragt alle eingestellten APIs ab. Die Ergebnisse werden dann f&uuml;r einen einstellbaren Zeitraum gecacht und nicht erneut angefordert.',3);
		addAdminMenuSql('network','config_network','Einstellungen','Stellen Sie generelle Einstellungen ein, die f&uuml;r alle Werbenetzwerke gelten, wie z.B. Cache-Erneuerungsinterval. Generell sind aber die Einstellungen in Ordnung, da z.B. sonst Ihre freien Abfragen beim Werbenetzwerk sich zu schnell abbauen.',4);
		addAdminMenuSql('network','list_network_reloads','Reload-Sperren','Listen oder l&ouml;schen Sie hier Reload-Sperren. <strong>Vorsicht:</strong> Die hier gespeicherten Reload-Sperren sind vom jeweiligen Werbenetzwerk &uuml;bernommen. Eventuell verdienen Sie nichts, wenn Sie z.B. eine Mail innerhalb der Reload-Sperre erneut versenden.',5);
		addAdminMenuSql('network','list_networks','Auflisten/Verwalten','<strong>Experten-Einstellungen!</strong> Hier &auml;ndern Sie die Einstellungen an den Grunddaten (Stammdaten) des jeweiligen Werbenetzwerks ab. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',6);
		addAdminMenuSql('network','list_network_types','Werbearten','<strong>Experten-Einstellungen!</strong> Hier &auml;ndern Sie die Einstellungen zu den Werbearten pro Werbenetzwerken. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',7);
		addAdminMenuSql('network','list_network_params','Abfrageparameter','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Abfrageparameter (wie sie genannt werden m&uuml;ssen, um das API-Script korrekt aufrufen zu k&ouml;nnen) ein, pro Werbenetzwerk. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',8);
		addAdminMenuSql('network','list_network_translations','Array-&Uuml;bersetzungen','<strong>Experten-Einstellungen!</strong> Hier richten Sie Array-Index-&Uuml;bersetzungen f&uuml;r nicht-fehler API-Antworten ein. <strong>Dies sind INTERNE Daten und sollten nur vom Entwicklerteam angepasst werden.</strong> Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',9);
		addAdminMenuSql('network','list_network_api_translation','Antwort-Array','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Zuweisungen der aus der analysierten API-Antwort Array-Elementen zu den Datenspalten ein. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',10);
		addAdminMenuSql('network','list_network_error_codes','Fehlercodes','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Fehlercodes ein, die im Falle eines Fehlers pro API-Script kommen k&ouml;nnen. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',11);
		addAdminMenuSql('network','list_network_error_types','Fehlertypen','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Namen von Fehlercodes ein, die Scripte zur&uuml;ckliefern k&ouml;nnen. <strong>Dies sind INTERNE Daten und sollten nur vom Entwicklerteam angepasst werden.</strong> Stellen Sie an diesen Einstellungen bitte nichts um. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',12);

		// Configuration entries
		addExtensionSql('ALTER TABLE `{?_MYSQL_PREFIX?}_config` ADD `network_cache_refresh` BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (60 * 15) . '');
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_data`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_request_params`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_error_codes`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_error_types`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_translations`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_api_translation`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_config`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types_config`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_cache`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_reloads`');

		// Admin menu
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='network'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addExtensionSql('');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes. For details see file inc/modules/admin/what-extensions.php, arround line 305.
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
